
_newATCACommand:

;atca_command.c,64 :: 		ATCACommand newATCACommand( ATCADeviceType device_type )  // constructor
;atca_command.c,66 :: 		ATCA_STATUS status = ATCA_SUCCESS;
;atca_command.c,67 :: 		ATCACommand cacmd = (ATCACommand)Malloc(sizeof(struct atca_command));
	MOVLW       3
	MOVWF       FARG_Malloc_Size+0 
	MOVLW       0
	MOVWF       FARG_Malloc_Size+1 
	CALL        _Malloc+0, 0
	MOVF        R0, 0 
	MOVWF       newATCACommand_cacmd_L0+0 
	MOVF        R1, 0 
	MOVWF       newATCACommand_cacmd_L0+1 
;atca_command.c,69 :: 		cacmd->dt = device_type;
	MOVFF       R0, FSR1
	MOVFF       R1, FSR1H
	MOVF        FARG_newATCACommand_device_type+0, 0 
	MOVWF       POSTINC1+0 
;atca_command.c,70 :: 		status = atInitExecTimes(cacmd, device_type);  // setup typical execution times for this device type
	MOVF        newATCACommand_cacmd_L0+0, 0 
	MOVWF       FARG_atInitExecTimes_cacmd+0 
	MOVF        newATCACommand_cacmd_L0+1, 0 
	MOVWF       FARG_atInitExecTimes_cacmd+1 
	MOVF        FARG_newATCACommand_device_type+0, 0 
	MOVWF       FARG_atInitExecTimes_device_type+0 
	CALL        _atInitExecTimes+0, 0
;atca_command.c,72 :: 		if (status != ATCA_SUCCESS) {
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_newATCACommand0
;atca_command.c,73 :: 		Free((void*)cacmd, sizeof(cacmd));
	MOVF        newATCACommand_cacmd_L0+0, 0 
	MOVWF       FARG_FreeMem_P+0 
	MOVF        newATCACommand_cacmd_L0+1, 0 
	MOVWF       FARG_FreeMem_P+1 
	MOVLW       2
	MOVWF       FARG_FreeMem_Size+0 
	MOVLW       0
	MOVWF       FARG_FreeMem_Size+1 
	CALL        _FreeMem+0, 0
;atca_command.c,74 :: 		cacmd = NULL;
	CLRF        newATCACommand_cacmd_L0+0 
	CLRF        newATCACommand_cacmd_L0+1 
;atca_command.c,75 :: 		}
L_newATCACommand0:
;atca_command.c,77 :: 		return cacmd;
	MOVF        newATCACommand_cacmd_L0+0, 0 
	MOVWF       R0 
	MOVF        newATCACommand_cacmd_L0+1, 0 
	MOVWF       R1 
;atca_command.c,78 :: 		}
L_end_newATCACommand:
	RETURN      0
; end of _newATCACommand

_atCheckMAC:

;atca_command.c,88 :: 		ATCA_STATUS atCheckMAC(ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,91 :: 		packet->opcode = ATCA_CHECKMAC;
	MOVLW       2
	ADDWF       FARG_atCheckMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atCheckMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       40
	MOVWF       POSTINC1+0 
;atca_command.c,92 :: 		packet->txsize = CHECKMAC_COUNT;
	MOVLW       1
	ADDWF       FARG_atCheckMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atCheckMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       84
	MOVWF       POSTINC1+0 
;atca_command.c,93 :: 		packet->rxsize = CHECKMAC_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atCheckMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atCheckMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,95 :: 		atCalcCrc( packet );
	MOVF        FARG_atCheckMAC_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atCheckMAC_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,96 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,97 :: 		}
L_end_atCheckMAC:
	RETURN      0
; end of _atCheckMAC

_atCounter:

;atca_command.c,104 :: 		ATCA_STATUS atCounter(ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,106 :: 		if ( !atIsECCFamily( cacmd->dt ) )
	MOVFF       FARG_atCounter_cacmd+0, FSR0
	MOVFF       FARG_atCounter_cacmd+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_atIsECCFamily_deviceType+0 
	CALL        _atIsECCFamily+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_atCounter1
;atca_command.c,107 :: 		return ATCA_BAD_OPCODE;
	MOVLW       242
	MOVWF       R0 
	GOTO        L_end_atCounter
L_atCounter1:
;atca_command.c,110 :: 		packet->opcode = ATCA_COUNTER;
	MOVLW       2
	ADDWF       FARG_atCounter_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atCounter_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       36
	MOVWF       POSTINC1+0 
;atca_command.c,111 :: 		packet->txsize = COUNTER_COUNT;
	MOVLW       1
	ADDWF       FARG_atCounter_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atCounter_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,112 :: 		packet->rxsize = COUNTER_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atCounter_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atCounter_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,114 :: 		atCalcCrc( packet );
	MOVF        FARG_atCounter_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atCounter_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,115 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,116 :: 		}
L_end_atCounter:
	RETURN      0
; end of _atCounter

_atDeriveKey:

;atca_command.c,124 :: 		ATCA_STATUS atDeriveKey(ATCACommand cacmd, ATCAPacket *packet, bool hasMAC )
;atca_command.c,127 :: 		packet->opcode = ATCA_DERIVE_KEY;
	MOVLW       2
	ADDWF       FARG_atDeriveKey_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atDeriveKey_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       28
	MOVWF       POSTINC1+0 
;atca_command.c,131 :: 		switch ( hasMAC ) {
	GOTO        L_atDeriveKey2
;atca_command.c,132 :: 		case true:
L_atDeriveKey4:
;atca_command.c,133 :: 		packet->txsize = DERIVE_KEY_COUNT_LARGE;
	MOVLW       1
	ADDWF       FARG_atDeriveKey_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atDeriveKey_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       39
	MOVWF       POSTINC1+0 
;atca_command.c,134 :: 		break;
	GOTO        L_atDeriveKey3
;atca_command.c,135 :: 		case false:
L_atDeriveKey5:
;atca_command.c,136 :: 		packet->txsize = DERIVE_KEY_COUNT_SMALL;
	MOVLW       1
	ADDWF       FARG_atDeriveKey_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atDeriveKey_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,137 :: 		break;
	GOTO        L_atDeriveKey3
;atca_command.c,138 :: 		}
L_atDeriveKey2:
	MOVF        FARG_atDeriveKey_hasMAC+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_atDeriveKey4
	MOVF        FARG_atDeriveKey_hasMAC+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_atDeriveKey5
L_atDeriveKey3:
;atca_command.c,140 :: 		packet->rxsize = DERIVE_KEY_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atDeriveKey_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atDeriveKey_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,141 :: 		atCalcCrc( packet );
	MOVF        FARG_atDeriveKey_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atDeriveKey_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,142 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,143 :: 		}
L_end_atDeriveKey:
	RETURN      0
; end of _atDeriveKey

_atECDH:

;atca_command.c,150 :: 		ATCA_STATUS atECDH(ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,154 :: 		packet->opcode = ATCA_ECDH;
	MOVLW       2
	ADDWF       FARG_atECDH_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atECDH_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       67
	MOVWF       POSTINC1+0 
;atca_command.c,155 :: 		packet->txsize = ECDH_COUNT;
	MOVLW       1
	ADDWF       FARG_atECDH_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atECDH_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       71
	MOVWF       POSTINC1+0 
;atca_command.c,156 :: 		packet->rxsize = ECDH_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atECDH_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atECDH_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       35
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,158 :: 		atCalcCrc( packet );
	MOVF        FARG_atECDH_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atECDH_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,159 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,160 :: 		}
L_end_atECDH:
	RETURN      0
; end of _atECDH

_atGenDig:

;atca_command.c,168 :: 		ATCA_STATUS atGenDig(ATCACommand cacmd, ATCAPacket *packet, bool hasMACKey )
;atca_command.c,172 :: 		packet->opcode = ATCA_GENDIG;
	MOVLW       2
	ADDWF       FARG_atGenDig_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atGenDig_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       21
	MOVWF       POSTINC1+0 
;atca_command.c,174 :: 		if ( packet->param1 == 0x03 ) // shared nonce mode
	MOVLW       3
	ADDWF       FARG_atGenDig_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atGenDig_packet+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_atGenDig6
;atca_command.c,175 :: 		packet->txsize = GENDIG_COUNT + 32;
	MOVLW       1
	ADDWF       FARG_atGenDig_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atGenDig_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       39
	MOVWF       POSTINC1+0 
	GOTO        L_atGenDig7
L_atGenDig6:
;atca_command.c,176 :: 		else if ( hasMACKey == true )
	MOVF        FARG_atGenDig_hasMACKey+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_atGenDig8
;atca_command.c,177 :: 		packet->txsize = GENDIG_COUNT_DATA;
	MOVLW       1
	ADDWF       FARG_atGenDig_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atGenDig_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       11
	MOVWF       POSTINC1+0 
	GOTO        L_atGenDig9
L_atGenDig8:
;atca_command.c,179 :: 		packet->txsize = GENDIG_COUNT;
	MOVLW       1
	ADDWF       FARG_atGenDig_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atGenDig_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
L_atGenDig9:
L_atGenDig7:
;atca_command.c,181 :: 		packet->rxsize = GENDIG_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atGenDig_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atGenDig_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,183 :: 		atCalcCrc( packet );
	MOVF        FARG_atGenDig_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atGenDig_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,184 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,185 :: 		}
L_end_atGenDig:
	RETURN      0
; end of _atGenDig

_atGenKey:

;atca_command.c,193 :: 		ATCA_STATUS atGenKey(ATCACommand cacmd, ATCAPacket *packet, bool isPubKey )
;atca_command.c,197 :: 		packet->opcode = ATCA_GENKEY;
	MOVLW       2
	ADDWF       FARG_atGenKey_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atGenKey_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       64
	MOVWF       POSTINC1+0 
;atca_command.c,199 :: 		switch ( isPubKey ) {
	GOTO        L_atGenKey10
;atca_command.c,200 :: 		case true:
L_atGenKey12:
;atca_command.c,201 :: 		packet->txsize = GENKEY_COUNT_DATA;
	MOVLW       1
	ADDWF       FARG_atGenKey_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atGenKey_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       10
	MOVWF       POSTINC1+0 
;atca_command.c,202 :: 		break;
	GOTO        L_atGenKey11
;atca_command.c,203 :: 		case false:
L_atGenKey13:
;atca_command.c,204 :: 		packet->txsize = GENKEY_COUNT;
	MOVLW       1
	ADDWF       FARG_atGenKey_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atGenKey_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,205 :: 		break;
	GOTO        L_atGenKey11
;atca_command.c,206 :: 		}
L_atGenKey10:
	MOVF        FARG_atGenKey_isPubKey+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_atGenKey12
	MOVF        FARG_atGenKey_isPubKey+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_atGenKey13
L_atGenKey11:
;atca_command.c,208 :: 		packet->rxsize = GENKEY_RSP_SIZE_LONG;
	MOVLW       137
	ADDWF       FARG_atGenKey_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atGenKey_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       75
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,210 :: 		atCalcCrc( packet );
	MOVF        FARG_atGenKey_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atGenKey_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,211 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,212 :: 		}
L_end_atGenKey:
	RETURN      0
; end of _atGenKey

_atHMAC:

;atca_command.c,219 :: 		ATCA_STATUS atHMAC(ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,223 :: 		packet->opcode = ATCA_HMAC;
	MOVLW       2
	ADDWF       FARG_atHMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atHMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       17
	MOVWF       POSTINC1+0 
;atca_command.c,224 :: 		packet->txsize = HMAC_COUNT;
	MOVLW       1
	ADDWF       FARG_atHMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atHMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,225 :: 		packet->rxsize = HMAC_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atHMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atHMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       35
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,227 :: 		atCalcCrc( packet );
	MOVF        FARG_atHMAC_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atHMAC_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,228 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,229 :: 		}
L_end_atHMAC:
	RETURN      0
; end of _atHMAC

_atInfo:

;atca_command.c,236 :: 		ATCA_STATUS atInfo( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,240 :: 		packet->opcode = ATCA_INFO;
	MOVLW       2
	ADDWF       FARG_atInfo_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atInfo_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       48
	MOVWF       POSTINC1+0 
;atca_command.c,241 :: 		packet->txsize = INFO_COUNT;
	MOVLW       1
	ADDWF       FARG_atInfo_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atInfo_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,242 :: 		packet->rxsize = INFO_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atInfo_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atInfo_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,244 :: 		atCalcCrc( packet );
	MOVF        FARG_atInfo_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atInfo_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,245 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,246 :: 		}
L_end_atInfo:
	RETURN      0
; end of _atInfo

_atLock:

;atca_command.c,253 :: 		ATCA_STATUS atLock(  ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,257 :: 		packet->opcode = ATCA_LOCK;
	MOVLW       2
	ADDWF       FARG_atLock_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atLock_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       23
	MOVWF       POSTINC1+0 
;atca_command.c,258 :: 		packet->txsize = LOCK_COUNT;
	MOVLW       1
	ADDWF       FARG_atLock_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atLock_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,259 :: 		packet->rxsize = LOCK_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atLock_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atLock_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,261 :: 		atCalcCrc( packet );
	MOVF        FARG_atLock_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atLock_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,262 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,263 :: 		}
L_end_atLock:
	RETURN      0
; end of _atLock

_atMAC:

;atca_command.c,270 :: 		ATCA_STATUS atMAC( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,275 :: 		packet->opcode = ATCA_MAC;
	MOVLW       2
	ADDWF       FARG_atMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       8
	MOVWF       POSTINC1+0 
;atca_command.c,276 :: 		if ( packet->param1 == 0 )
	MOVLW       3
	ADDWF       FARG_atMAC_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atMAC_packet+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_atMAC14
;atca_command.c,277 :: 		packet->txsize = MAC_COUNT_LONG;
	MOVLW       1
	ADDWF       FARG_atMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       39
	MOVWF       POSTINC1+0 
	GOTO        L_atMAC15
L_atMAC14:
;atca_command.c,279 :: 		packet->txsize = MAC_COUNT_SHORT;
	MOVLW       1
	ADDWF       FARG_atMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
L_atMAC15:
;atca_command.c,281 :: 		packet->rxsize = MAC_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atMAC_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atMAC_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       35
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,283 :: 		atCalcCrc( packet );
	MOVF        FARG_atMAC_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atMAC_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,284 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,285 :: 		}
L_end_atMAC:
	RETURN      0
; end of _atMAC

_atNonce:

;atca_command.c,292 :: 		ATCA_STATUS atNonce( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,297 :: 		packet->opcode = ATCA_NONCE;
	MOVLW       2
	ADDWF       FARG_atNonce_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atNonce_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       22
	MOVWF       POSTINC1+0 
;atca_command.c,298 :: 		mode = packet->param1 & 0x03;
	MOVLW       3
	ADDWF       FARG_atNonce_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atNonce_packet+1, 0 
	MOVWF       FSR0H 
	MOVLW       3
	ANDWF       POSTINC0+0, 0 
	MOVWF       atNonce_mode_L0+0 
	CLRF        atNonce_mode_L0+1 
	MOVLW       0
	ANDWF       atNonce_mode_L0+1, 1 
	MOVLW       0
	MOVWF       atNonce_mode_L0+1 
;atca_command.c,300 :: 		if ( (mode == 0 || mode == 1) ) {       // mode[0:1] == 0 | 1 then NumIn is 20 bytes
	MOVLW       0
	XORWF       atNonce_mode_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atNonce125
	MOVLW       0
	XORWF       atNonce_mode_L0+0, 0 
L__atNonce125:
	BTFSC       STATUS+0, 2 
	GOTO        L__atNonce105
	MOVLW       0
	XORWF       atNonce_mode_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atNonce126
	MOVLW       1
	XORWF       atNonce_mode_L0+0, 0 
L__atNonce126:
	BTFSC       STATUS+0, 2 
	GOTO        L__atNonce105
	GOTO        L_atNonce18
L__atNonce105:
;atca_command.c,301 :: 		packet->txsize = NONCE_COUNT_SHORT; // 20 byte challenge
	MOVLW       1
	ADDWF       FARG_atNonce_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atNonce_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       27
	MOVWF       POSTINC1+0 
;atca_command.c,302 :: 		packet->rxsize = NONCE_RSP_SIZE_LONG;
	MOVLW       137
	ADDWF       FARG_atNonce_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atNonce_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       35
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,303 :: 		} else if ( mode == 0x03 ) {            // NumIn is 32 bytes
	GOTO        L_atNonce19
L_atNonce18:
	MOVLW       0
	XORWF       atNonce_mode_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atNonce127
	MOVLW       3
	XORWF       atNonce_mode_L0+0, 0 
L__atNonce127:
	BTFSS       STATUS+0, 2 
	GOTO        L_atNonce20
;atca_command.c,304 :: 		packet->txsize = NONCE_COUNT_LONG;  // 32 byte challenge
	MOVLW       1
	ADDWF       FARG_atNonce_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atNonce_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       39
	MOVWF       POSTINC1+0 
;atca_command.c,305 :: 		packet->rxsize = NONCE_RSP_SIZE_SHORT;
	MOVLW       137
	ADDWF       FARG_atNonce_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atNonce_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,306 :: 		} else
	GOTO        L_atNonce21
L_atNonce20:
;atca_command.c,307 :: 		return ATCA_BAD_PARAM;
	MOVLW       226
	MOVWF       R0 
	GOTO        L_end_atNonce
L_atNonce21:
L_atNonce19:
;atca_command.c,309 :: 		atCalcCrc( packet );
	MOVF        FARG_atNonce_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atNonce_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,310 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,311 :: 		}
L_end_atNonce:
	RETURN      0
; end of _atNonce

_atPause:

;atca_command.c,318 :: 		ATCA_STATUS atPause( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,321 :: 		packet->opcode = ATCA_PAUSE;
	MOVLW       2
	ADDWF       FARG_atPause_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atPause_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       1
	MOVWF       POSTINC1+0 
;atca_command.c,322 :: 		packet->txsize = PAUSE_COUNT;
	MOVLW       1
	ADDWF       FARG_atPause_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atPause_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,323 :: 		packet->rxsize = PAUSE_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atPause_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atPause_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,325 :: 		atCalcCrc( packet );
	MOVF        FARG_atPause_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atPause_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,326 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,327 :: 		}
L_end_atPause:
	RETURN      0
; end of _atPause

_atPrivWrite:

;atca_command.c,334 :: 		ATCA_STATUS atPrivWrite( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,337 :: 		packet->opcode = ATCA_PRIVWRITE;
	MOVLW       2
	ADDWF       FARG_atPrivWrite_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atPrivWrite_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       70
	MOVWF       POSTINC1+0 
;atca_command.c,338 :: 		packet->txsize = PRIVWRITE_COUNT;
	MOVLW       1
	ADDWF       FARG_atPrivWrite_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atPrivWrite_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       75
	MOVWF       POSTINC1+0 
;atca_command.c,339 :: 		packet->rxsize = PRIVWRITE_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atPrivWrite_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atPrivWrite_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,341 :: 		atCalcCrc( packet );
	MOVF        FARG_atPrivWrite_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atPrivWrite_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,342 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,343 :: 		}
L_end_atPrivWrite:
	RETURN      0
; end of _atPrivWrite

_atRandom:

;atca_command.c,350 :: 		ATCA_STATUS atRandom( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,354 :: 		packet->opcode = ATCA_RANDOM;
	MOVLW       2
	ADDWF       FARG_atRandom_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atRandom_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       27
	MOVWF       POSTINC1+0 
;atca_command.c,355 :: 		packet->txsize = RANDOM_COUNT;
	MOVLW       1
	ADDWF       FARG_atRandom_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atRandom_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,356 :: 		packet->rxsize = RANDOM_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atRandom_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atRandom_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       35
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,358 :: 		atCalcCrc( packet );
	MOVF        FARG_atRandom_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atRandom_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,359 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,360 :: 		}
L_end_atRandom:
	RETURN      0
; end of _atRandom

_atRead:

;atca_command.c,367 :: 		ATCA_STATUS atRead( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,371 :: 		packet->opcode = ATCA_READ;
	MOVLW       2
	ADDWF       FARG_atRead_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atRead_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       2
	MOVWF       POSTINC1+0 
;atca_command.c,372 :: 		packet->txsize = READ_COUNT;
	MOVLW       1
	ADDWF       FARG_atRead_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atRead_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,375 :: 		if ((packet->param1 & 0x80) == 0 )
	MOVLW       3
	ADDWF       FARG_atRead_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atRead_packet+1, 0 
	MOVWF       FSR0H 
	MOVLW       128
	ANDWF       POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_atRead22
;atca_command.c,376 :: 		packet->rxsize = READ_4_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atRead_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atRead_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
	GOTO        L_atRead23
L_atRead22:
;atca_command.c,378 :: 		packet->rxsize = READ_32_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atRead_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atRead_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       35
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
L_atRead23:
;atca_command.c,380 :: 		atCalcCrc( packet );
	MOVF        FARG_atRead_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atRead_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,381 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,382 :: 		}
L_end_atRead:
	RETURN      0
; end of _atRead

_atSHA:

;atca_command.c,389 :: 		ATCA_STATUS atSHA( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,391 :: 		if ( packet->param2 > SHA_BLOCK_SIZE )
	MOVLW       4
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R2, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atSHA133
	MOVF        R1, 0 
	SUBLW       64
L__atSHA133:
	BTFSC       STATUS+0, 0 
	GOTO        L_atSHA24
;atca_command.c,392 :: 		return ATCA_BAD_PARAM;
	MOVLW       226
	MOVWF       R0 
	GOTO        L_end_atSHA
L_atSHA24:
;atca_command.c,394 :: 		if ( packet->param1 == 0x01 && packet->param2 != SHA_BLOCK_SIZE )
	MOVLW       3
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_atSHA27
	MOVLW       4
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atSHA134
	MOVLW       64
	XORWF       R1, 0 
L__atSHA134:
	BTFSC       STATUS+0, 2 
	GOTO        L_atSHA27
L__atSHA107:
;atca_command.c,395 :: 		return ATCA_BAD_PARAM;                                              // updates should always have 64 bytes of data
	MOVLW       226
	MOVWF       R0 
	GOTO        L_end_atSHA
L_atSHA27:
;atca_command.c,397 :: 		if ( packet->param1 == 0x02 && packet->param2 > SHA_BLOCK_SIZE - 1 )    // END should be 0-63 bytes
	MOVLW       3
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_atSHA30
	MOVLW       4
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R2, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atSHA135
	MOVF        R1, 0 
	SUBLW       63
L__atSHA135:
	BTFSC       STATUS+0, 0 
	GOTO        L_atSHA30
L__atSHA106:
;atca_command.c,398 :: 		return ATCA_BAD_PARAM;
	MOVLW       226
	MOVWF       R0 
	GOTO        L_end_atSHA
L_atSHA30:
;atca_command.c,401 :: 		packet->opcode = ATCA_SHA;
	MOVLW       2
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       71
	MOVWF       POSTINC1+0 
;atca_command.c,403 :: 		switch ( packet->param1 ) {
	MOVLW       3
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       R2 
	GOTO        L_atSHA31
;atca_command.c,404 :: 		case 0x00: // START
L_atSHA33:
;atca_command.c,405 :: 		packet->rxsize = SHA_RSP_SIZE_SHORT;
	MOVLW       137
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,406 :: 		packet->txsize = SHA_COUNT_LONG;
	MOVLW       1
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,407 :: 		break;
	GOTO        L_atSHA32
;atca_command.c,408 :: 		case 0x01: // UPDATE
L_atSHA34:
;atca_command.c,409 :: 		packet->rxsize = SHA_RSP_SIZE_SHORT;
	MOVLW       137
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,410 :: 		packet->txsize = SHA_COUNT_LONG + SHA_BLOCK_SIZE;
	MOVLW       1
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       71
	MOVWF       POSTINC1+0 
;atca_command.c,411 :: 		break;
	GOTO        L_atSHA32
;atca_command.c,412 :: 		case 0x02: // END
L_atSHA35:
;atca_command.c,413 :: 		packet->rxsize = SHA_RSP_SIZE_LONG;
	MOVLW       137
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       35
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,416 :: 		packet->txsize = SHA_COUNT_LONG + packet->param2;
	MOVLW       1
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	ADDWF       FARG_atSHA_packet+0, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      FARG_atSHA_packet+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDLW       7
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;atca_command.c,417 :: 		break;
	GOTO        L_atSHA32
;atca_command.c,418 :: 		}
L_atSHA31:
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_atSHA33
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_atSHA34
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_atSHA35
L_atSHA32:
;atca_command.c,420 :: 		atCalcCrc( packet );
	MOVF        FARG_atSHA_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atSHA_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,421 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,422 :: 		}
L_end_atSHA:
	RETURN      0
; end of _atSHA

_atSign:

;atca_command.c,429 :: 		ATCA_STATUS atSign( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,433 :: 		packet->opcode = ATCA_SIGN;
	MOVLW       2
	ADDWF       FARG_atSign_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSign_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       65
	MOVWF       POSTINC1+0 
;atca_command.c,434 :: 		packet->txsize = SIGN_COUNT;
	MOVLW       1
	ADDWF       FARG_atSign_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSign_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,437 :: 		packet->rxsize = ATCA_RSP_SIZE_64;
	MOVLW       137
	ADDWF       FARG_atSign_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atSign_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       67
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,439 :: 		atCalcCrc( packet );
	MOVF        FARG_atSign_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atSign_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,440 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,441 :: 		}
L_end_atSign:
	RETURN      0
; end of _atSign

_atUpdateExtra:

;atca_command.c,448 :: 		ATCA_STATUS atUpdateExtra( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,452 :: 		packet->opcode = ATCA_UPDATE_EXTRA;
	MOVLW       2
	ADDWF       FARG_atUpdateExtra_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atUpdateExtra_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       32
	MOVWF       POSTINC1+0 
;atca_command.c,453 :: 		packet->txsize = UPDATE_COUNT;
	MOVLW       1
	ADDWF       FARG_atUpdateExtra_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atUpdateExtra_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       7
	MOVWF       POSTINC1+0 
;atca_command.c,454 :: 		packet->rxsize = UPDATE_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atUpdateExtra_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atUpdateExtra_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,456 :: 		atCalcCrc( packet );
	MOVF        FARG_atUpdateExtra_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atUpdateExtra_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,457 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,458 :: 		}
L_end_atUpdateExtra:
	RETURN      0
; end of _atUpdateExtra

_atVerify:

;atca_command.c,465 :: 		ATCA_STATUS atVerify( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,469 :: 		packet->opcode = ATCA_VERIFY;
	MOVLW       2
	ADDWF       FARG_atVerify_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atVerify_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       69
	MOVWF       POSTINC1+0 
;atca_command.c,472 :: 		switch ( packet->param1 ) {
	MOVLW       3
	ADDWF       FARG_atVerify_packet+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      FARG_atVerify_packet+1, 0 
	MOVWF       R2 
	GOTO        L_atVerify36
;atca_command.c,473 :: 		case 0:  // Stored mode
L_atVerify38:
;atca_command.c,474 :: 		packet->txsize = VERIFY_256_STORED_COUNT;
	MOVLW       1
	ADDWF       FARG_atVerify_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atVerify_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       71
	MOVWF       POSTINC1+0 
;atca_command.c,475 :: 		break;
	GOTO        L_atVerify37
;atca_command.c,476 :: 		case 1:  // ValidateExternal mode
L_atVerify39:
;atca_command.c,477 :: 		packet->txsize = VERIFY_256_EXTERNAL_COUNT;
	MOVLW       1
	ADDWF       FARG_atVerify_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atVerify_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       135
	MOVWF       POSTINC1+0 
;atca_command.c,478 :: 		break;
	GOTO        L_atVerify37
;atca_command.c,479 :: 		case 2:  // External mode
L_atVerify40:
;atca_command.c,480 :: 		packet->txsize = VERIFY_256_EXTERNAL_COUNT;
	MOVLW       1
	ADDWF       FARG_atVerify_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atVerify_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       135
	MOVWF       POSTINC1+0 
;atca_command.c,481 :: 		break;
	GOTO        L_atVerify37
;atca_command.c,482 :: 		case 3:     // Validate mode
L_atVerify41:
;atca_command.c,483 :: 		case 7:     // Invalidate mode
L_atVerify42:
;atca_command.c,484 :: 		packet->txsize = VERIFY_256_VALIDATE_COUNT;
	MOVLW       1
	ADDWF       FARG_atVerify_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atVerify_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       90
	MOVWF       POSTINC1+0 
;atca_command.c,485 :: 		break;
	GOTO        L_atVerify37
;atca_command.c,486 :: 		default:
L_atVerify43:
;atca_command.c,487 :: 		return ATCA_BAD_PARAM;
	MOVLW       226
	MOVWF       R0 
	GOTO        L_end_atVerify
;atca_command.c,488 :: 		}
L_atVerify36:
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_atVerify38
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_atVerify39
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_atVerify40
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_atVerify41
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L_atVerify42
	GOTO        L_atVerify43
L_atVerify37:
;atca_command.c,489 :: 		packet->rxsize = VERIFY_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atVerify_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atVerify_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,491 :: 		atCalcCrc( packet );
	MOVF        FARG_atVerify_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atVerify_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,492 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,493 :: 		}
L_end_atVerify:
	RETURN      0
; end of _atVerify

_atWrite:

;atca_command.c,500 :: 		ATCA_STATUS atWrite( ATCACommand cacmd, ATCAPacket *packet )
;atca_command.c,506 :: 		packet->opcode = ATCA_WRITE;
	MOVLW       2
	ADDWF       FARG_atWrite_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atWrite_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       18
	MOVWF       POSTINC1+0 
;atca_command.c,508 :: 		macsize = ( packet->param1 & 0x40 ? 32 : 0 );  // if encrypted, use MAC
	MOVLW       3
	ADDWF       FARG_atWrite_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atWrite_packet+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	BTFSS       R1, 6 
	GOTO        L_atWrite44
	MOVLW       32
	MOVWF       ?FLOC___atWriteT472+0 
	GOTO        L_atWrite45
L_atWrite44:
	CLRF        ?FLOC___atWriteT472+0 
L_atWrite45:
	MOVF        ?FLOC___atWriteT472+0, 0 
	MOVWF       atWrite_macsize_L0+0 
	MOVLW       0
	BTFSC       ?FLOC___atWriteT472+0, 7 
	MOVLW       255
	MOVWF       atWrite_macsize_L0+1 
;atca_command.c,509 :: 		writesize = ( packet->param1 & 0x80 ? 32 : 4 );
	MOVLW       3
	ADDWF       FARG_atWrite_packet+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atWrite_packet+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	BTFSS       R1, 7 
	GOTO        L_atWrite46
	MOVLW       32
	MOVWF       ?FLOC___atWriteT479+0 
	GOTO        L_atWrite47
L_atWrite46:
	MOVLW       4
	MOVWF       ?FLOC___atWriteT479+0 
L_atWrite47:
	MOVF        ?FLOC___atWriteT479+0, 0 
	MOVWF       atWrite_writesize_L0+0 
	MOVLW       0
	BTFSC       ?FLOC___atWriteT479+0, 7 
	MOVLW       255
	MOVWF       atWrite_writesize_L0+1 
;atca_command.c,511 :: 		if ( macsize == 32 && writesize == 32 )
	MOVLW       0
	XORWF       atWrite_macsize_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atWrite140
	MOVLW       32
	XORWF       atWrite_macsize_L0+0, 0 
L__atWrite140:
	BTFSS       STATUS+0, 2 
	GOTO        L_atWrite50
	MOVLW       0
	XORWF       atWrite_writesize_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atWrite141
	MOVLW       32
	XORWF       atWrite_writesize_L0+0, 0 
L__atWrite141:
	BTFSS       STATUS+0, 2 
	GOTO        L_atWrite50
L__atWrite111:
;atca_command.c,512 :: 		packet->txsize = WRITE_COUNT_LONG_MAC;
	MOVLW       1
	ADDWF       FARG_atWrite_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atWrite_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       71
	MOVWF       POSTINC1+0 
	GOTO        L_atWrite51
L_atWrite50:
;atca_command.c,513 :: 		else if ( macsize == 32 && writesize == 4 )
	MOVLW       0
	XORWF       atWrite_macsize_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atWrite142
	MOVLW       32
	XORWF       atWrite_macsize_L0+0, 0 
L__atWrite142:
	BTFSS       STATUS+0, 2 
	GOTO        L_atWrite54
	MOVLW       0
	XORWF       atWrite_writesize_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atWrite143
	MOVLW       4
	XORWF       atWrite_writesize_L0+0, 0 
L__atWrite143:
	BTFSS       STATUS+0, 2 
	GOTO        L_atWrite54
L__atWrite110:
;atca_command.c,514 :: 		packet->txsize = WRITE_COUNT_SHORT_MAC;
	MOVLW       1
	ADDWF       FARG_atWrite_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atWrite_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       43
	MOVWF       POSTINC1+0 
	GOTO        L_atWrite55
L_atWrite54:
;atca_command.c,515 :: 		else if ( macsize == 0 && writesize == 32 )
	MOVLW       0
	XORWF       atWrite_macsize_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atWrite144
	MOVLW       0
	XORWF       atWrite_macsize_L0+0, 0 
L__atWrite144:
	BTFSS       STATUS+0, 2 
	GOTO        L_atWrite58
	MOVLW       0
	XORWF       atWrite_writesize_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atWrite145
	MOVLW       32
	XORWF       atWrite_writesize_L0+0, 0 
L__atWrite145:
	BTFSS       STATUS+0, 2 
	GOTO        L_atWrite58
L__atWrite109:
;atca_command.c,516 :: 		packet->txsize = WRITE_COUNT_LONG;
	MOVLW       1
	ADDWF       FARG_atWrite_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atWrite_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       39
	MOVWF       POSTINC1+0 
	GOTO        L_atWrite59
L_atWrite58:
;atca_command.c,517 :: 		else if ( macsize == 0 && writesize == 4 )
	MOVLW       0
	XORWF       atWrite_macsize_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atWrite146
	MOVLW       0
	XORWF       atWrite_macsize_L0+0, 0 
L__atWrite146:
	BTFSS       STATUS+0, 2 
	GOTO        L_atWrite62
	MOVLW       0
	XORWF       atWrite_writesize_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atWrite147
	MOVLW       4
	XORWF       atWrite_writesize_L0+0, 0 
L__atWrite147:
	BTFSS       STATUS+0, 2 
	GOTO        L_atWrite62
L__atWrite108:
;atca_command.c,518 :: 		packet->txsize = WRITE_COUNT_SHORT;
	MOVLW       1
	ADDWF       FARG_atWrite_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atWrite_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       11
	MOVWF       POSTINC1+0 
L_atWrite62:
L_atWrite59:
L_atWrite55:
L_atWrite51:
;atca_command.c,520 :: 		packet->rxsize = WRITE_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atWrite_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atWrite_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,521 :: 		atCalcCrc( packet );
	MOVF        FARG_atWrite_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atWrite_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,522 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,523 :: 		}
L_end_atWrite:
	RETURN      0
; end of _atWrite

_atWriteEnc:

;atca_command.c,530 :: 		ATCA_STATUS atWriteEnc(ATCACommand cacmd, ATCAPacket *packet)
;atca_command.c,533 :: 		packet->opcode = ATCA_WRITE;
	MOVLW       2
	ADDWF       FARG_atWriteEnc_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atWriteEnc_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       18
	MOVWF       POSTINC1+0 
;atca_command.c,534 :: 		packet->txsize = WRITE_COUNT_LONG_MAC;
	MOVLW       1
	ADDWF       FARG_atWriteEnc_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atWriteEnc_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       71
	MOVWF       POSTINC1+0 
;atca_command.c,535 :: 		packet->rxsize = WRITE_RSP_SIZE;
	MOVLW       137
	ADDWF       FARG_atWriteEnc_packet+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atWriteEnc_packet+1, 0 
	MOVWF       FSR1H 
	MOVLW       4
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;atca_command.c,536 :: 		atCalcCrc( packet );
	MOVF        FARG_atWriteEnc_packet+0, 0 
	MOVWF       FARG_atCalcCrc_pkt+0 
	MOVF        FARG_atWriteEnc_packet+1, 0 
	MOVWF       FARG_atCalcCrc_pkt+1 
	CALL        _atCalcCrc+0, 0
;atca_command.c,537 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,538 :: 		}
L_end_atWriteEnc:
	RETURN      0
; end of _atWriteEnc

_deleteATCACommand:

;atca_command.c,544 :: 		void deleteATCACommand( ATCACommand *cacmd )  // destructor
;atca_command.c,546 :: 		if ( *cacmd )
	MOVFF       FARG_deleteATCACommand_cacmd+0, FSR0
	MOVFF       FARG_deleteATCACommand_cacmd+1, FSR0H
	MOVF        POSTINC0+0, 0 
	IORWF       POSTINC0+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_deleteATCACommand63
;atca_command.c,547 :: 		Free((void*)*cacmd,sizeof(*cacmd));
	MOVFF       FARG_deleteATCACommand_cacmd+0, FSR0
	MOVFF       FARG_deleteATCACommand_cacmd+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_FreeMem_P+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_FreeMem_P+1 
	MOVLW       2
	MOVWF       FARG_FreeMem_Size+0 
	MOVLW       0
	MOVWF       FARG_FreeMem_Size+1 
	CALL        _FreeMem+0, 0
L_deleteATCACommand63:
;atca_command.c,549 :: 		*cacmd = NULL;
	MOVFF       FARG_deleteATCACommand_cacmd+0, FSR1
	MOVFF       FARG_deleteATCACommand_cacmd+1, FSR1H
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;atca_command.c,550 :: 		}
L_end_deleteATCACommand:
	RETURN      0
; end of _deleteATCACommand

_atInitExecTimes:

;atca_command.c,613 :: 		ATCA_STATUS atInitExecTimes(ATCACommand cacmd, ATCADeviceType device_type)
;atca_command.c,615 :: 		switch ( device_type ) {
	GOTO        L_atInitExecTimes64
;atca_command.c,616 :: 		case ATECC108A:
L_atInitExecTimes66:
;atca_command.c,617 :: 		case ATECC508A:
L_atInitExecTimes67:
;atca_command.c,618 :: 		cacmd->execution_times = exectimes_x08a;
	MOVLW       1
	ADDWF       FARG_atInitExecTimes_cacmd+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atInitExecTimes_cacmd+1, 0 
	MOVWF       FSR1H 
	MOVLW       _exectimes_x08a+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_exectimes_x08a+0)
	MOVWF       POSTINC1+0 
;atca_command.c,619 :: 		break;
	GOTO        L_atInitExecTimes65
;atca_command.c,620 :: 		case ATSHA204A:
L_atInitExecTimes68:
;atca_command.c,621 :: 		cacmd->execution_times = exectimes_204a;
	MOVLW       1
	ADDWF       FARG_atInitExecTimes_cacmd+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atInitExecTimes_cacmd+1, 0 
	MOVWF       FSR1H 
	MOVLW       _exectimes_204a+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_exectimes_204a+0)
	MOVWF       POSTINC1+0 
;atca_command.c,622 :: 		break;
	GOTO        L_atInitExecTimes65
;atca_command.c,623 :: 		default:
L_atInitExecTimes69:
;atca_command.c,624 :: 		return ATCA_BAD_PARAM;
	MOVLW       226
	MOVWF       R0 
	GOTO        L_end_atInitExecTimes
;atca_command.c,626 :: 		}
L_atInitExecTimes64:
	MOVF        FARG_atInitExecTimes_device_type+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_atInitExecTimes66
	MOVF        FARG_atInitExecTimes_device_type+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_atInitExecTimes67
	MOVF        FARG_atInitExecTimes_device_type+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_atInitExecTimes68
	GOTO        L_atInitExecTimes69
L_atInitExecTimes65:
;atca_command.c,628 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,629 :: 		}
L_end_atInitExecTimes:
	RETURN      0
; end of _atInitExecTimes

_atGetExecTime:

;atca_command.c,638 :: 		uint16_t atGetExecTime( ATCACommand cacmd, ATCA_CmdMap cmd )
;atca_command.c,640 :: 		return cacmd->execution_times[cmd];
	MOVLW       1
	ADDWF       FARG_atGetExecTime_cacmd+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atGetExecTime_cacmd+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        FARG_atGetExecTime_cmd+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR0 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
;atca_command.c,641 :: 		}
L_end_atGetExecTime:
	RETURN      0
; end of _atGetExecTime

_atCRC:

;atca_command.c,651 :: 		void atCRC( uint8_t length, uint8_t *data, uint8_t *crc)
;atca_command.c,654 :: 		uint16_t crc_register = 0;
	CLRF        atCRC_crc_register_L0+0 
	CLRF        atCRC_crc_register_L0+1 
	MOVLW       5
	MOVWF       atCRC_polynom_L0+0 
	MOVLW       128
	MOVWF       atCRC_polynom_L0+1 
;atca_command.c,659 :: 		for (counter = 0; counter < length; counter++) {
	CLRF        R4 
L_atCRC70:
	MOVF        FARG_atCRC_length+0, 0 
	SUBWF       R4, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_atCRC71
;atca_command.c,660 :: 		for (shift_register = 0x01; shift_register > 0x00; shift_register <<= 1) {
	MOVLW       1
	MOVWF       R5 
L_atCRC73:
	MOVF        R5, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_atCRC74
;atca_command.c,661 :: 		data_bit = (data[counter] & shift_register) ? 1 : 0;
	MOVF        R4, 0 
	ADDWF       FARG_atCRC_data_+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_atCRC_data_+1, 0 
	MOVWF       FSR0H 
	MOVF        R5, 0 
	ANDWF       POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       STATUS+0, 2 
	GOTO        L_atCRC76
	MOVLW       1
	MOVWF       R3 
	GOTO        L_atCRC77
L_atCRC76:
	CLRF        R3 
L_atCRC77:
;atca_command.c,662 :: 		crc_bit = crc_register >> 15;
	MOVLW       15
	MOVWF       R0 
	MOVF        atCRC_crc_register_L0+0, 0 
	MOVWF       R1 
	MOVF        atCRC_crc_register_L0+1, 0 
	MOVWF       R2 
	MOVF        R0, 0 
L__atCRC153:
	BZ          L__atCRC154
	RRCF        R2, 1 
	RRCF        R1, 1 
	BCF         R2, 7 
	ADDLW       255
	GOTO        L__atCRC153
L__atCRC154:
;atca_command.c,663 :: 		crc_register <<= 1;
	RLCF        atCRC_crc_register_L0+0, 1 
	BCF         atCRC_crc_register_L0+0, 0 
	RLCF        atCRC_crc_register_L0+1, 1 
;atca_command.c,664 :: 		if (data_bit != crc_bit)
	MOVF        R3, 0 
	XORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_atCRC78
;atca_command.c,665 :: 		crc_register ^= polynom;
	MOVF        atCRC_polynom_L0+0, 0 
	XORWF       atCRC_crc_register_L0+0, 1 
	MOVF        atCRC_polynom_L0+1, 0 
	XORWF       atCRC_crc_register_L0+1, 1 
L_atCRC78:
;atca_command.c,660 :: 		for (shift_register = 0x01; shift_register > 0x00; shift_register <<= 1) {
	RLCF        R5, 1 
	BCF         R5, 0 
;atca_command.c,666 :: 		}
	GOTO        L_atCRC73
L_atCRC74:
;atca_command.c,659 :: 		for (counter = 0; counter < length; counter++) {
	INCF        R4, 1 
;atca_command.c,667 :: 		}
	GOTO        L_atCRC70
L_atCRC71:
;atca_command.c,668 :: 		crc[0] = (uint8_t)(crc_register & 0x00FF);
	MOVLW       255
	ANDWF       atCRC_crc_register_L0+0, 0 
	MOVWF       R0 
	MOVFF       FARG_atCRC_crc+0, FSR1
	MOVFF       FARG_atCRC_crc+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;atca_command.c,669 :: 		crc[1] = (uint8_t)(crc_register >> 8);
	MOVLW       1
	ADDWF       FARG_atCRC_crc+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_atCRC_crc+1, 0 
	MOVWF       FSR1H 
	MOVF        atCRC_crc_register_L0+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;atca_command.c,670 :: 		}
L_end_atCRC:
	RETURN      0
; end of _atCRC

_atCalcCrc:

;atca_command.c,677 :: 		void atCalcCrc( ATCAPacket *packet )
;atca_command.c,681 :: 		length = packet->txsize - ATCA_CRC_SIZE;
	MOVLW       1
	ADDWF       FARG_atCalcCrc_packet+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      FARG_atCalcCrc_packet+1, 0 
	MOVWF       R2 
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVLW       2
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
;atca_command.c,683 :: 		crc = &(packet->txsize) + length;
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       FARG_atCRC_crc+0 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       FARG_atCRC_crc+1 
;atca_command.c,686 :: 		atCRC(length, &(packet->txsize), crc);
	MOVF        R0, 0 
	MOVWF       FARG_atCRC_length+0 
	MOVF        R1, 0 
	MOVWF       FARG_atCRC_data_+0 
	MOVF        R2, 0 
	MOVWF       FARG_atCRC_data_+1 
	CALL        _atCRC+0, 0
;atca_command.c,687 :: 		}
L_end_atCalcCrc:
	RETURN      0
; end of _atCalcCrc

_atCheckCrc:

;atca_command.c,695 :: 		uint8_t atCheckCrc(uint8_t *response)
;atca_command.c,698 :: 		uint8_t count = response[ATCA_COUNT_IDX];
	MOVFF       FARG_atCheckCrc_response+0, FSR0
	MOVFF       FARG_atCheckCrc_response+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       atCheckCrc_count_L0+0 
;atca_command.c,700 :: 		count -= ATCA_CRC_SIZE;
	MOVLW       2
	SUBWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       atCheckCrc_count_L0+0 
;atca_command.c,701 :: 		atCRC(count, response, crc);
	MOVF        R0, 0 
	MOVWF       FARG_atCRC_length+0 
	MOVF        FARG_atCheckCrc_response+0, 0 
	MOVWF       FARG_atCRC_data_+0 
	MOVF        FARG_atCheckCrc_response+1, 0 
	MOVWF       FARG_atCRC_data_+1 
	MOVLW       atCheckCrc_crc_L0+0
	MOVWF       FARG_atCRC_crc+0 
	MOVLW       hi_addr(atCheckCrc_crc_L0+0)
	MOVWF       FARG_atCRC_crc+1 
	CALL        _atCRC+0, 0
;atca_command.c,703 :: 		return (crc[0] == response[count] && crc[1] == response[count + 1]) ? ATCA_SUCCESS : ATCA_BAD_CRC;
	MOVF        atCheckCrc_count_L0+0, 0 
	ADDWF       FARG_atCheckCrc_response+0, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      FARG_atCheckCrc_response+1, 0 
	MOVWF       FSR2H 
	MOVF        atCheckCrc_crc_L0+0, 0 
	XORWF       POSTINC2+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_atCheckCrc81
	MOVF        atCheckCrc_count_L0+0, 0 
	ADDLW       1
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	ADDWF       FARG_atCheckCrc_response+0, 0 
	MOVWF       FSR2 
	MOVF        R1, 0 
	ADDWFC      FARG_atCheckCrc_response+1, 0 
	MOVWF       FSR2H 
	MOVF        atCheckCrc_crc_L0+1, 0 
	XORWF       POSTINC2+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_atCheckCrc81
L__atCheckCrc112:
	CLRF        ?FLOC___atCheckCrcT613+0 
	GOTO        L_atCheckCrc82
L_atCheckCrc81:
	MOVLW       229
	MOVWF       ?FLOC___atCheckCrcT613+0 
L_atCheckCrc82:
	MOVF        ?FLOC___atCheckCrcT613+0, 0 
	MOVWF       R0 
;atca_command.c,704 :: 		}
L_end_atCheckCrc:
	RETURN      0
; end of _atCheckCrc

_atIsSHAFamily:

;atca_command.c,712 :: 		bool atIsSHAFamily( ATCADeviceType deviceType )
;atca_command.c,714 :: 		switch (deviceType) {
	GOTO        L_atIsSHAFamily83
;atca_command.c,715 :: 		case ATSHA204A:
L_atIsSHAFamily85:
;atca_command.c,716 :: 		case ATECC108A:
L_atIsSHAFamily86:
;atca_command.c,717 :: 		case ATECC508A:
L_atIsSHAFamily87:
;atca_command.c,718 :: 		return true;
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_atIsSHAFamily
;atca_command.c,720 :: 		default:
L_atIsSHAFamily88:
;atca_command.c,721 :: 		return false;
	CLRF        R0 
	GOTO        L_end_atIsSHAFamily
;atca_command.c,723 :: 		}
L_atIsSHAFamily83:
	MOVF        FARG_atIsSHAFamily_deviceType+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_atIsSHAFamily85
	MOVF        FARG_atIsSHAFamily_deviceType+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_atIsSHAFamily86
	MOVF        FARG_atIsSHAFamily_deviceType+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_atIsSHAFamily87
	GOTO        L_atIsSHAFamily88
;atca_command.c,724 :: 		}
L_end_atIsSHAFamily:
	RETURN      0
; end of _atIsSHAFamily

_atIsECCFamily:

;atca_command.c,731 :: 		bool atIsECCFamily( ATCADeviceType deviceType )
;atca_command.c,733 :: 		switch (deviceType) {
	GOTO        L_atIsECCFamily89
;atca_command.c,734 :: 		case ATECC108A:
L_atIsECCFamily91:
;atca_command.c,735 :: 		case ATECC508A:
L_atIsECCFamily92:
;atca_command.c,736 :: 		return true;
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_atIsECCFamily
;atca_command.c,738 :: 		default:
L_atIsECCFamily93:
;atca_command.c,739 :: 		return false;
	CLRF        R0 
	GOTO        L_end_atIsECCFamily
;atca_command.c,741 :: 		}
L_atIsECCFamily89:
	MOVF        FARG_atIsECCFamily_deviceType+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_atIsECCFamily91
	MOVF        FARG_atIsECCFamily_deviceType+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_atIsECCFamily92
	GOTO        L_atIsECCFamily93
;atca_command.c,742 :: 		}
L_end_atIsECCFamily:
	RETURN      0
; end of _atIsECCFamily

_isATCAError:

;atca_command.c,749 :: 		ATCA_STATUS isATCAError( uint8_t *data )
;atca_command.c,751 :: 		uint8_t good[4] = { 0x04, 0x00, 0x03, 0x40 };
	MOVLW       4
	MOVWF       isATCAError_good_L0+0 
	CLRF        isATCAError_good_L0+1 
	MOVLW       3
	MOVWF       isATCAError_good_L0+2 
	MOVLW       64
	MOVWF       isATCAError_good_L0+3 
;atca_command.c,753 :: 		if ( memcmp( data, good, 4 ) == 0 )
	MOVF        FARG_isATCAError_data_+0, 0 
	MOVWF       FARG_memcmp_s1+0 
	MOVF        FARG_isATCAError_data_+1, 0 
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       isATCAError_good_L0+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(isATCAError_good_L0+0)
	MOVWF       FARG_memcmp_s2+1 
	MOVLW       4
	MOVWF       FARG_memcmp_n+0 
	MOVLW       0
	MOVWF       FARG_memcmp_n+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__isATCAError160
	MOVLW       0
	XORWF       R0, 0 
L__isATCAError160:
	BTFSS       STATUS+0, 2 
	GOTO        L_isATCAError94
;atca_command.c,754 :: 		return ATCA_SUCCESS;
	CLRF        R0 
	GOTO        L_end_isATCAError
L_isATCAError94:
;atca_command.c,756 :: 		if ( data[0] == 0x04 ) {    // error packets are always 4 bytes long
	MOVFF       FARG_isATCAError_data_+0, FSR0
	MOVFF       FARG_isATCAError_data_+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L_isATCAError95
;atca_command.c,757 :: 		switch ( data[1] ) {
	MOVLW       1
	ADDWF       FARG_isATCAError_data_+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      FARG_isATCAError_data_+1, 0 
	MOVWF       R2 
	GOTO        L_isATCAError96
;atca_command.c,758 :: 		case 0x01:              // checkmac or verify failed
L_isATCAError98:
;atca_command.c,759 :: 		return ATCA_CHECKMAC_VERIFY_FAILED;
	MOVLW       209
	MOVWF       R0 
	GOTO        L_end_isATCAError
;atca_command.c,761 :: 		case 0x03: // command received byte length, opcode or parameter was illegal
L_isATCAError99:
;atca_command.c,762 :: 		return ATCA_BAD_OPCODE;
	MOVLW       242
	MOVWF       R0 
	GOTO        L_end_isATCAError
;atca_command.c,764 :: 		case 0x0f: // chip can't execute the command
L_isATCAError100:
;atca_command.c,765 :: 		return ATCA_EXECUTION_ERROR;
	MOVLW       244
	MOVWF       R0 
	GOTO        L_end_isATCAError
;atca_command.c,767 :: 		case 0x11: // chip was successfully woken up
L_isATCAError101:
;atca_command.c,768 :: 		return ATCA_WAKE_SUCCESS;
	MOVLW       243
	MOVWF       R0 
	GOTO        L_end_isATCAError
;atca_command.c,770 :: 		case 0xff: // bad crc found or other comm error
L_isATCAError102:
;atca_command.c,771 :: 		return ATCA_STATUS_CRC;
	MOVLW       212
	MOVWF       R0 
	GOTO        L_end_isATCAError
;atca_command.c,773 :: 		default:
L_isATCAError103:
;atca_command.c,774 :: 		return ATCA_GEN_FAIL;
	MOVLW       225
	MOVWF       R0 
	GOTO        L_end_isATCAError
;atca_command.c,776 :: 		}
L_isATCAError96:
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_isATCAError98
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_isATCAError99
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       15
	BTFSC       STATUS+0, 2 
	GOTO        L_isATCAError100
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       17
	BTFSC       STATUS+0, 2 
	GOTO        L_isATCAError101
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       255
	BTFSC       STATUS+0, 2 
	GOTO        L_isATCAError102
	GOTO        L_isATCAError103
;atca_command.c,777 :: 		} else
L_isATCAError95:
;atca_command.c,778 :: 		return ATCA_SUCCESS;
	CLRF        R0 
;atca_command.c,779 :: 		}
L_end_isATCAError:
	RETURN      0
; end of _isATCAError
