
_hal_iface_init:

;atca_hal.c,57 :: 		ATCA_STATUS hal_iface_init( ATCAIfaceCfg *cfg, ATCAHAL_t *hal )
;atca_hal.c,63 :: 		ATCA_STATUS status = ATCA_COMM_FAIL;
	MOVLW       240
	MOVWF       hal_iface_init_status_L0+0 
;atca_hal.c,65 :: 		switch (cfg->iface_type)
	MOVF        FARG_hal_iface_init_cfg+0, 0 
	MOVWF       R1 
	MOVF        FARG_hal_iface_init_cfg+1, 0 
	MOVWF       R2 
	GOTO        L_hal_iface_init0
;atca_hal.c,67 :: 		case ATCA_I2C_IFACE:
L_hal_iface_init2:
;atca_hal.c,69 :: 		hal->halinit = &hal_i2c_init;
	MOVFF       FARG_hal_iface_init_hal+0, FSR1
	MOVFF       FARG_hal_iface_init_hal+1, FSR1H
	MOVLW       _hal_i2c_init+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_hal_i2c_init+0)
	MOVWF       POSTINC1+0 
	MOVLW       FARG_hal_i2c_init_hal+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(FARG_hal_i2c_init_hal+0)
	MOVWF       POSTINC1+0 
;atca_hal.c,70 :: 		hal->halpostinit = &hal_i2c_post_init;
	MOVLW       4
	ADDWF       FARG_hal_iface_init_hal+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_hal_iface_init_hal+1, 0 
	MOVWF       FSR1H 
	MOVLW       _hal_i2c_post_init+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_hal_i2c_post_init+0)
	MOVWF       POSTINC1+0 
	MOVLW       FARG_hal_i2c_post_init_iface+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(FARG_hal_i2c_post_init_iface+0)
	MOVWF       POSTINC1+0 
;atca_hal.c,71 :: 		hal->halreceive = &hal_i2c_receive;
	MOVLW       12
	ADDWF       FARG_hal_iface_init_hal+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_hal_iface_init_hal+1, 0 
	MOVWF       FSR1H 
	MOVLW       _hal_i2c_receive+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_hal_i2c_receive+0)
	MOVWF       POSTINC1+0 
	MOVLW       FARG_hal_i2c_receive_iface+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(FARG_hal_i2c_receive_iface+0)
	MOVWF       POSTINC1+0 
;atca_hal.c,72 :: 		hal->halsend = &hal_i2c_send;
	MOVLW       8
	ADDWF       FARG_hal_iface_init_hal+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_hal_iface_init_hal+1, 0 
	MOVWF       FSR1H 
	MOVLW       _hal_i2c_send+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_hal_i2c_send+0)
	MOVWF       POSTINC1+0 
	MOVLW       FARG_hal_i2c_send_iface+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(FARG_hal_i2c_send_iface+0)
	MOVWF       POSTINC1+0 
;atca_hal.c,73 :: 		hal->halsleep = &hal_i2c_sleep;
	MOVLW       24
	ADDWF       FARG_hal_iface_init_hal+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_hal_iface_init_hal+1, 0 
	MOVWF       FSR1H 
	MOVLW       _hal_i2c_sleep+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_hal_i2c_sleep+0)
	MOVWF       POSTINC1+0 
	MOVLW       FARG_hal_i2c_sleep_iface+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(FARG_hal_i2c_sleep_iface+0)
	MOVWF       POSTINC1+0 
;atca_hal.c,74 :: 		hal->halwake = &hal_i2c_wake;
	MOVLW       16
	ADDWF       FARG_hal_iface_init_hal+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_hal_iface_init_hal+1, 0 
	MOVWF       FSR1H 
	MOVLW       _hal_i2c_wake+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_hal_i2c_wake+0)
	MOVWF       POSTINC1+0 
	MOVLW       FARG_hal_i2c_wake_iface+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(FARG_hal_i2c_wake_iface+0)
	MOVWF       POSTINC1+0 
;atca_hal.c,75 :: 		hal->halidle = &hal_i2c_idle;
	MOVLW       20
	ADDWF       FARG_hal_iface_init_hal+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_hal_iface_init_hal+1, 0 
	MOVWF       FSR1H 
	MOVLW       _hal_i2c_idle+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_hal_i2c_idle+0)
	MOVWF       POSTINC1+0 
	MOVLW       FARG_hal_i2c_idle_iface+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(FARG_hal_i2c_idle_iface+0)
	MOVWF       POSTINC1+0 
;atca_hal.c,76 :: 		hal->halrelease = &hal_i2c_release;
	MOVLW       28
	ADDWF       FARG_hal_iface_init_hal+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_hal_iface_init_hal+1, 0 
	MOVWF       FSR1H 
	MOVLW       _hal_i2c_release+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(_hal_i2c_release+0)
	MOVWF       POSTINC1+0 
	MOVLW       FARG_hal_i2c_release_hal_data+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(FARG_hal_i2c_release_hal_data+0)
	MOVWF       POSTINC1+0 
;atca_hal.c,77 :: 		hal->hal_data = NULL;
	MOVLW       32
	ADDWF       FARG_hal_iface_init_hal+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_hal_iface_init_hal+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;atca_hal.c,79 :: 		status = ATCA_SUCCESS;
	CLRF        hal_iface_init_status_L0+0 
;atca_hal.c,81 :: 		break;
	GOTO        L_hal_iface_init1
;atca_hal.c,82 :: 		case ATCA_SWI_IFACE:
L_hal_iface_init3:
;atca_hal.c,96 :: 		break;
	GOTO        L_hal_iface_init1
;atca_hal.c,97 :: 		case ATCA_UART_IFACE:
L_hal_iface_init4:
;atca_hal.c,114 :: 		break;
	GOTO        L_hal_iface_init1
;atca_hal.c,115 :: 		case ATCA_SPI_IFACE:
L_hal_iface_init5:
;atca_hal.c,119 :: 		break;
	GOTO        L_hal_iface_init1
;atca_hal.c,120 :: 		case ATCA_HID_IFACE:
L_hal_iface_init6:
;atca_hal.c,134 :: 		break;
	GOTO        L_hal_iface_init1
;atca_hal.c,135 :: 		}
L_hal_iface_init0:
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_init2
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_init3
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_init4
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_init5
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_init6
L_hal_iface_init1:
;atca_hal.c,136 :: 		return status;
	MOVF        hal_iface_init_status_L0+0, 0 
	MOVWF       R0 
;atca_hal.c,137 :: 		}
L_end_hal_iface_init:
	RETURN      0
; end of _hal_iface_init

_hal_iface_release:

;atca_hal.c,144 :: 		ATCA_STATUS hal_iface_release( ATCAIfaceType ifacetype, void *hal_data )
;atca_hal.c,146 :: 		ATCA_STATUS status = ATCA_GEN_FAIL;
	MOVLW       225
	MOVWF       hal_iface_release_status_L0+0 
;atca_hal.c,148 :: 		switch (ifacetype)
	GOTO        L_hal_iface_release7
;atca_hal.c,150 :: 		case ATCA_I2C_IFACE:
L_hal_iface_release9:
;atca_hal.c,152 :: 		status = hal_i2c_release(hal_data);
	MOVF        FARG_hal_iface_release_hal_data+0, 0 
	MOVWF       FARG_hal_i2c_release_hal_data+0 
	MOVF        FARG_hal_iface_release_hal_data+1, 0 
	MOVWF       FARG_hal_i2c_release_hal_data+1 
	CALL        _hal_i2c_release+0, 0
	MOVF        R0, 0 
	MOVWF       hal_iface_release_status_L0+0 
;atca_hal.c,154 :: 		break;
	GOTO        L_hal_iface_release8
;atca_hal.c,155 :: 		case ATCA_SWI_IFACE:
L_hal_iface_release10:
;atca_hal.c,159 :: 		break;
	GOTO        L_hal_iface_release8
;atca_hal.c,160 :: 		case ATCA_UART_IFACE:
L_hal_iface_release11:
;atca_hal.c,167 :: 		break;
	GOTO        L_hal_iface_release8
;atca_hal.c,168 :: 		case ATCA_SPI_IFACE:
L_hal_iface_release12:
;atca_hal.c,172 :: 		break;
	GOTO        L_hal_iface_release8
;atca_hal.c,173 :: 		case ATCA_HID_IFACE:
L_hal_iface_release13:
;atca_hal.c,177 :: 		break;
	GOTO        L_hal_iface_release8
;atca_hal.c,178 :: 		}
L_hal_iface_release7:
	MOVF        FARG_hal_iface_release_ifacetype+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_release9
	MOVF        FARG_hal_iface_release_ifacetype+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_release10
	MOVF        FARG_hal_iface_release_ifacetype+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_release11
	MOVF        FARG_hal_iface_release_ifacetype+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_release12
	MOVF        FARG_hal_iface_release_ifacetype+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_hal_iface_release13
L_hal_iface_release8:
;atca_hal.c,180 :: 		return status;
	MOVF        hal_iface_release_status_L0+0, 0 
	MOVWF       R0 
;atca_hal.c,181 :: 		}
L_end_hal_iface_release:
	RETURN      0
; end of _hal_iface_release
