
_atcac_sw_sha1_init:

;atca_crypto_sw_sha1.c,46 :: 		int atcac_sw_sha1_init(atcac_sha1_ctx* ctx)
;atca_crypto_sw_sha1.c,49 :: 		return ATCA_ASSERT_FAILURE; // atcac_sha1_ctx isn't large enough for this implementation
L_atcac_sw_sha1_init0:
;atca_crypto_sw_sha1.c,50 :: 		CL_hashInit((CL_HashContext*)ctx);
	MOVF        FARG_atcac_sw_sha1_init_ctx+0, 0 
	MOVWF       FARG_CL_hashInit_ctx+0 
	MOVF        FARG_atcac_sw_sha1_init_ctx+1, 0 
	MOVWF       FARG_CL_hashInit_ctx+1 
	CALL        _CL_hashInit+0, 0
;atca_crypto_sw_sha1.c,52 :: 		return ATCA_SUCCESS;
	CLRF        R0 
	CLRF        R1 
;atca_crypto_sw_sha1.c,53 :: 		}
L_end_atcac_sw_sha1_init:
	RETURN      0
; end of _atcac_sw_sha1_init

_atcac_sw_sha1_update:

;atca_crypto_sw_sha1.c,55 :: 		int atcac_sw_sha1_update(atcac_sha1_ctx* ctx,  uint8_t* data, size_t data_size)
;atca_crypto_sw_sha1.c,57 :: 		CL_hashUpdate((CL_HashContext*)ctx, data, (int)data_size);
	MOVF        FARG_atcac_sw_sha1_update_ctx+0, 0 
	MOVWF       FARG_CL_hashUpdate_ctx+0 
	MOVF        FARG_atcac_sw_sha1_update_ctx+1, 0 
	MOVWF       FARG_CL_hashUpdate_ctx+1 
	MOVF        FARG_atcac_sw_sha1_update_data_+0, 0 
	MOVWF       FARG_CL_hashUpdate_src+0 
	MOVF        FARG_atcac_sw_sha1_update_data_+1, 0 
	MOVWF       FARG_CL_hashUpdate_src+1 
	MOVF        FARG_atcac_sw_sha1_update_data_size+0, 0 
	MOVWF       FARG_CL_hashUpdate_nbytes+0 
	MOVF        FARG_atcac_sw_sha1_update_data_size+1, 0 
	MOVWF       FARG_CL_hashUpdate_nbytes+1 
	CALL        _CL_hashUpdate+0, 0
;atca_crypto_sw_sha1.c,59 :: 		return ATCA_SUCCESS;
	CLRF        R0 
	CLRF        R1 
;atca_crypto_sw_sha1.c,60 :: 		}
L_end_atcac_sw_sha1_update:
	RETURN      0
; end of _atcac_sw_sha1_update

_atcac_sw_sha1_finish:

;atca_crypto_sw_sha1.c,62 :: 		int atcac_sw_sha1_finish(atcac_sha1_ctx* ctx, uint8_t digest[ATCA_SHA1_DIGEST_SIZE])
;atca_crypto_sw_sha1.c,64 :: 		CL_hashFinal((CL_HashContext*)ctx, digest);
	MOVF        FARG_atcac_sw_sha1_finish_ctx+0, 0 
	MOVWF       FARG_CL_hashFinal_ctx+0 
	MOVF        FARG_atcac_sw_sha1_finish_ctx+1, 0 
	MOVWF       FARG_CL_hashFinal_ctx+1 
	MOVF        FARG_atcac_sw_sha1_finish_digest+0, 0 
	MOVWF       FARG_CL_hashFinal_dest+0 
	MOVF        FARG_atcac_sw_sha1_finish_digest+1, 0 
	MOVWF       FARG_CL_hashFinal_dest+1 
	CALL        _CL_hashFinal+0, 0
;atca_crypto_sw_sha1.c,66 :: 		return ATCA_SUCCESS;
	CLRF        R0 
	CLRF        R1 
;atca_crypto_sw_sha1.c,67 :: 		}
L_end_atcac_sw_sha1_finish:
	RETURN      0
; end of _atcac_sw_sha1_finish

_atcac_sw_sha1:

;atca_crypto_sw_sha1.c,69 :: 		int atcac_sw_sha1( uint8_t* data, size_t data_size, uint8_t digest[ATCA_SHA1_DIGEST_SIZE])
;atca_crypto_sw_sha1.c,74 :: 		ret = atcac_sw_sha1_init(&ctx);
	MOVLW       atcac_sw_sha1_ctx_L0+0
	MOVWF       FARG_atcac_sw_sha1_init_ctx+0 
	MOVLW       hi_addr(atcac_sw_sha1_ctx_L0+0)
	MOVWF       FARG_atcac_sw_sha1_init_ctx+1 
	CALL        _atcac_sw_sha1_init+0, 0
	MOVF        R0, 0 
	MOVWF       atcac_sw_sha1_ret_L0+0 
	MOVF        R1, 0 
	MOVWF       atcac_sw_sha1_ret_L0+1 
;atca_crypto_sw_sha1.c,75 :: 		if (ret != ATCA_SUCCESS)
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atcac_sw_sha18
	MOVLW       0
	XORWF       R0, 0 
L__atcac_sw_sha18:
	BTFSC       STATUS+0, 2 
	GOTO        L_atcac_sw_sha11
;atca_crypto_sw_sha1.c,76 :: 		return ret;
	MOVF        atcac_sw_sha1_ret_L0+0, 0 
	MOVWF       R0 
	MOVF        atcac_sw_sha1_ret_L0+1, 0 
	MOVWF       R1 
	GOTO        L_end_atcac_sw_sha1
L_atcac_sw_sha11:
;atca_crypto_sw_sha1.c,78 :: 		ret = atcac_sw_sha1_update(&ctx, data, data_size);
	MOVLW       atcac_sw_sha1_ctx_L0+0
	MOVWF       FARG_atcac_sw_sha1_update_ctx+0 
	MOVLW       hi_addr(atcac_sw_sha1_ctx_L0+0)
	MOVWF       FARG_atcac_sw_sha1_update_ctx+1 
	MOVF        FARG_atcac_sw_sha1_data_+0, 0 
	MOVWF       FARG_atcac_sw_sha1_update_data_+0 
	MOVF        FARG_atcac_sw_sha1_data_+1, 0 
	MOVWF       FARG_atcac_sw_sha1_update_data_+1 
	MOVF        FARG_atcac_sw_sha1_data_size+0, 0 
	MOVWF       FARG_atcac_sw_sha1_update_data_size+0 
	MOVF        FARG_atcac_sw_sha1_data_size+1, 0 
	MOVWF       FARG_atcac_sw_sha1_update_data_size+1 
	CALL        _atcac_sw_sha1_update+0, 0
	MOVF        R0, 0 
	MOVWF       atcac_sw_sha1_ret_L0+0 
	MOVF        R1, 0 
	MOVWF       atcac_sw_sha1_ret_L0+1 
;atca_crypto_sw_sha1.c,79 :: 		if (ret != ATCA_SUCCESS)
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atcac_sw_sha19
	MOVLW       0
	XORWF       R0, 0 
L__atcac_sw_sha19:
	BTFSC       STATUS+0, 2 
	GOTO        L_atcac_sw_sha12
;atca_crypto_sw_sha1.c,80 :: 		return ret;
	MOVF        atcac_sw_sha1_ret_L0+0, 0 
	MOVWF       R0 
	MOVF        atcac_sw_sha1_ret_L0+1, 0 
	MOVWF       R1 
	GOTO        L_end_atcac_sw_sha1
L_atcac_sw_sha12:
;atca_crypto_sw_sha1.c,82 :: 		ret = atcac_sw_sha1_finish(&ctx, digest);
	MOVLW       atcac_sw_sha1_ctx_L0+0
	MOVWF       FARG_atcac_sw_sha1_finish_ctx+0 
	MOVLW       hi_addr(atcac_sw_sha1_ctx_L0+0)
	MOVWF       FARG_atcac_sw_sha1_finish_ctx+1 
	MOVF        FARG_atcac_sw_sha1_digest+0, 0 
	MOVWF       FARG_atcac_sw_sha1_finish_digest+0 
	MOVF        FARG_atcac_sw_sha1_digest+1, 0 
	MOVWF       FARG_atcac_sw_sha1_finish_digest+1 
	CALL        _atcac_sw_sha1_finish+0, 0
	MOVF        R0, 0 
	MOVWF       atcac_sw_sha1_ret_L0+0 
	MOVF        R1, 0 
	MOVWF       atcac_sw_sha1_ret_L0+1 
;atca_crypto_sw_sha1.c,83 :: 		if (ret != ATCA_SUCCESS)
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atcac_sw_sha110
	MOVLW       0
	XORWF       R0, 0 
L__atcac_sw_sha110:
	BTFSC       STATUS+0, 2 
	GOTO        L_atcac_sw_sha13
;atca_crypto_sw_sha1.c,84 :: 		return ret;
	MOVF        atcac_sw_sha1_ret_L0+0, 0 
	MOVWF       R0 
	MOVF        atcac_sw_sha1_ret_L0+1, 0 
	MOVWF       R1 
	GOTO        L_end_atcac_sw_sha1
L_atcac_sw_sha13:
;atca_crypto_sw_sha1.c,86 :: 		return ATCA_SUCCESS;
	CLRF        R0 
	CLRF        R1 
;atca_crypto_sw_sha1.c,87 :: 		}
L_end_atcac_sw_sha1:
	RETURN      0
; end of _atcac_sw_sha1
