
_atcac_sw_sha2_256_init:

;atca_crypto_sw_sha2.c,50 :: 		int atcac_sw_sha2_256_init(atcac_sha2_256_ctx* ctx)
;atca_crypto_sw_sha2.c,53 :: 		return ATCA_ASSERT_FAILURE; // atcac_sha1_ctx isn't large enough for this implementation
L_atcac_sw_sha2_256_init0:
;atca_crypto_sw_sha2.c,54 :: 		sw_sha256_init((sw_sha256_ctx*)ctx);
	MOVF        FARG_atcac_sw_sha2_256_init_ctx+0, 0 
	MOVWF       FARG_sw_sha256_init_ctx+0 
	MOVF        FARG_atcac_sw_sha2_256_init_ctx+1, 0 
	MOVWF       FARG_sw_sha256_init_ctx+1 
	CALL        _sw_sha256_init+0, 0
;atca_crypto_sw_sha2.c,56 :: 		return ATCA_SUCCESS;
	CLRF        R0 
	CLRF        R1 
;atca_crypto_sw_sha2.c,57 :: 		}
L_end_atcac_sw_sha2_256_init:
	RETURN      0
; end of _atcac_sw_sha2_256_init

_atcac_sw_sha2_256_update:

;atca_crypto_sw_sha2.c,67 :: 		int atcac_sw_sha2_256_update(atcac_sha2_256_ctx* ctx,  uint8_t* data, size_t data_size)
;atca_crypto_sw_sha2.c,69 :: 		sw_sha256_update((sw_sha256_ctx*)ctx, data, (uint32_t)data_size);
	MOVF        FARG_atcac_sw_sha2_256_update_ctx+0, 0 
	MOVWF       FARG_sw_sha256_update_ctx+0 
	MOVF        FARG_atcac_sw_sha2_256_update_ctx+1, 0 
	MOVWF       FARG_sw_sha256_update_ctx+1 
	MOVF        FARG_atcac_sw_sha2_256_update_data_+0, 0 
	MOVWF       FARG_sw_sha256_update_message+0 
	MOVF        FARG_atcac_sw_sha2_256_update_data_+1, 0 
	MOVWF       FARG_sw_sha256_update_message+1 
	MOVF        FARG_atcac_sw_sha2_256_update_data_size+0, 0 
	MOVWF       FARG_sw_sha256_update_len+0 
	MOVF        FARG_atcac_sw_sha2_256_update_data_size+1, 0 
	MOVWF       FARG_sw_sha256_update_len+1 
	MOVLW       0
	MOVWF       FARG_sw_sha256_update_len+2 
	MOVWF       FARG_sw_sha256_update_len+3 
	CALL        _sw_sha256_update+0, 0
;atca_crypto_sw_sha2.c,71 :: 		return ATCA_SUCCESS;
	CLRF        R0 
	CLRF        R1 
;atca_crypto_sw_sha2.c,72 :: 		}
L_end_atcac_sw_sha2_256_update:
	RETURN      0
; end of _atcac_sw_sha2_256_update

_atcac_sw_sha2_256_finish:

;atca_crypto_sw_sha2.c,80 :: 		int atcac_sw_sha2_256_finish(atcac_sha2_256_ctx* ctx, uint8_t digest[ATCA_SHA2_256_DIGEST_SIZE])
;atca_crypto_sw_sha2.c,82 :: 		sw_sha256_final((sw_sha256_ctx*)ctx, digest);
	MOVF        FARG_atcac_sw_sha2_256_finish_ctx+0, 0 
	MOVWF       FARG_sw_sha256_final_ctx+0 
	MOVF        FARG_atcac_sw_sha2_256_finish_ctx+1, 0 
	MOVWF       FARG_sw_sha256_final_ctx+1 
	MOVF        FARG_atcac_sw_sha2_256_finish_digest+0, 0 
	MOVWF       FARG_sw_sha256_final_digest+0 
	MOVF        FARG_atcac_sw_sha2_256_finish_digest+1, 0 
	MOVWF       FARG_sw_sha256_final_digest+1 
	CALL        _sw_sha256_final+0, 0
;atca_crypto_sw_sha2.c,84 :: 		return ATCA_SUCCESS;
	CLRF        R0 
	CLRF        R1 
;atca_crypto_sw_sha2.c,85 :: 		}
L_end_atcac_sw_sha2_256_finish:
	RETURN      0
; end of _atcac_sw_sha2_256_finish

_atcac_sw_sha2_256:

;atca_crypto_sw_sha2.c,95 :: 		int atcac_sw_sha2_256( uint8_t* data, size_t data_size, uint8_t digest[ATCA_SHA2_256_DIGEST_SIZE])
;atca_crypto_sw_sha2.c,100 :: 		ret = atcac_sw_sha2_256_init(&ctx);
	MOVLW       atcac_sw_sha2_256_ctx_L0+0
	MOVWF       FARG_atcac_sw_sha2_256_init_ctx+0 
	MOVLW       hi_addr(atcac_sw_sha2_256_ctx_L0+0)
	MOVWF       FARG_atcac_sw_sha2_256_init_ctx+1 
	CALL        _atcac_sw_sha2_256_init+0, 0
	MOVF        R0, 0 
	MOVWF       atcac_sw_sha2_256_ret_L0+0 
	MOVF        R1, 0 
	MOVWF       atcac_sw_sha2_256_ret_L0+1 
;atca_crypto_sw_sha2.c,101 :: 		if (ret != ATCA_SUCCESS)
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atcac_sw_sha2_2568
	MOVLW       0
	XORWF       R0, 0 
L__atcac_sw_sha2_2568:
	BTFSC       STATUS+0, 2 
	GOTO        L_atcac_sw_sha2_2561
;atca_crypto_sw_sha2.c,102 :: 		return ret;
	MOVF        atcac_sw_sha2_256_ret_L0+0, 0 
	MOVWF       R0 
	MOVF        atcac_sw_sha2_256_ret_L0+1, 0 
	MOVWF       R1 
	GOTO        L_end_atcac_sw_sha2_256
L_atcac_sw_sha2_2561:
;atca_crypto_sw_sha2.c,104 :: 		ret = atcac_sw_sha2_256_update(&ctx, data, data_size);
	MOVLW       atcac_sw_sha2_256_ctx_L0+0
	MOVWF       FARG_atcac_sw_sha2_256_update_ctx+0 
	MOVLW       hi_addr(atcac_sw_sha2_256_ctx_L0+0)
	MOVWF       FARG_atcac_sw_sha2_256_update_ctx+1 
	MOVF        FARG_atcac_sw_sha2_256_data_+0, 0 
	MOVWF       FARG_atcac_sw_sha2_256_update_data_+0 
	MOVF        FARG_atcac_sw_sha2_256_data_+1, 0 
	MOVWF       FARG_atcac_sw_sha2_256_update_data_+1 
	MOVF        FARG_atcac_sw_sha2_256_data_size+0, 0 
	MOVWF       FARG_atcac_sw_sha2_256_update_data_size+0 
	MOVF        FARG_atcac_sw_sha2_256_data_size+1, 0 
	MOVWF       FARG_atcac_sw_sha2_256_update_data_size+1 
	CALL        _atcac_sw_sha2_256_update+0, 0
	MOVF        R0, 0 
	MOVWF       atcac_sw_sha2_256_ret_L0+0 
	MOVF        R1, 0 
	MOVWF       atcac_sw_sha2_256_ret_L0+1 
;atca_crypto_sw_sha2.c,105 :: 		if (ret != ATCA_SUCCESS)
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atcac_sw_sha2_2569
	MOVLW       0
	XORWF       R0, 0 
L__atcac_sw_sha2_2569:
	BTFSC       STATUS+0, 2 
	GOTO        L_atcac_sw_sha2_2562
;atca_crypto_sw_sha2.c,106 :: 		return ret;
	MOVF        atcac_sw_sha2_256_ret_L0+0, 0 
	MOVWF       R0 
	MOVF        atcac_sw_sha2_256_ret_L0+1, 0 
	MOVWF       R1 
	GOTO        L_end_atcac_sw_sha2_256
L_atcac_sw_sha2_2562:
;atca_crypto_sw_sha2.c,108 :: 		ret = atcac_sw_sha2_256_finish(&ctx, digest);
	MOVLW       atcac_sw_sha2_256_ctx_L0+0
	MOVWF       FARG_atcac_sw_sha2_256_finish_ctx+0 
	MOVLW       hi_addr(atcac_sw_sha2_256_ctx_L0+0)
	MOVWF       FARG_atcac_sw_sha2_256_finish_ctx+1 
	MOVF        FARG_atcac_sw_sha2_256_digest+0, 0 
	MOVWF       FARG_atcac_sw_sha2_256_finish_digest+0 
	MOVF        FARG_atcac_sw_sha2_256_digest+1, 0 
	MOVWF       FARG_atcac_sw_sha2_256_finish_digest+1 
	CALL        _atcac_sw_sha2_256_finish+0, 0
	MOVF        R0, 0 
	MOVWF       atcac_sw_sha2_256_ret_L0+0 
	MOVF        R1, 0 
	MOVWF       atcac_sw_sha2_256_ret_L0+1 
;atca_crypto_sw_sha2.c,109 :: 		if (ret != ATCA_SUCCESS)
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__atcac_sw_sha2_25610
	MOVLW       0
	XORWF       R0, 0 
L__atcac_sw_sha2_25610:
	BTFSC       STATUS+0, 2 
	GOTO        L_atcac_sw_sha2_2563
;atca_crypto_sw_sha2.c,110 :: 		return ret;
	MOVF        atcac_sw_sha2_256_ret_L0+0, 0 
	MOVWF       R0 
	MOVF        atcac_sw_sha2_256_ret_L0+1, 0 
	MOVWF       R1 
	GOTO        L_end_atcac_sw_sha2_256
L_atcac_sw_sha2_2563:
;atca_crypto_sw_sha2.c,112 :: 		return ATCA_SUCCESS;
	CLRF        R0 
	CLRF        R1 
;atca_crypto_sw_sha2.c,113 :: 		}
L_end_atcac_sw_sha2_256:
	RETURN      0
; end of _atcac_sw_sha2_256
