
_CL_hashInit:

;sha1_routines.c,45 :: 		void CL_hashInit(CL_HashContext *ctx)
;sha1_routines.c,56 :: 		memset(ctx, 0, sizeof(*ctx));
	MOVF        FARG_CL_hashInit_ctx+0, 0 
	MOVWF       FARG_memset_p1+0 
	MOVF        FARG_CL_hashInit_ctx+1, 0 
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       92
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;sha1_routines.c,57 :: 		memcpy_P(ctx->h, hashContext_h_init, sizeof(ctx->h));
	MOVF        FARG_CL_hashInit_ctx+0, 0 
	MOVWF       FARG_memmove_to+0 
	MOVF        FARG_CL_hashInit_ctx+1, 0 
	MOVWF       FARG_memmove_to+1 
	MOVLW       CL_hashInit_hashContext_h_init_L0+0
	MOVWF       FARG_memmove_from+0 
	MOVLW       hi_addr(CL_hashInit_hashContext_h_init_L0+0)
	MOVWF       FARG_memmove_from+1 
	MOVLW       20
	MOVWF       FARG_memmove_n+0 
	MOVLW       0
	MOVWF       FARG_memmove_n+1 
	CALL        _memmove+0, 0
;sha1_routines.c,58 :: 		}
L_end_CL_hashInit:
	RETURN      0
; end of _CL_hashInit

_CL_hashUpdate:

;sha1_routines.c,60 :: 		void CL_hashUpdate(CL_HashContext *ctx, U8 *src, int nbytes)
;sha1_routines.c,82 :: 		freeBytes = (U8)(ctx->byteCount);
	MOVLW       84
	ADDWF       FARG_CL_hashUpdate_ctx+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_CL_hashUpdate_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       CL_hashUpdate_freeBytes_L0+0 
;sha1_routines.c,83 :: 		freeBytes &= 63;
	MOVLW       63
	ANDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       CL_hashUpdate_freeBytes_L0+0 
;sha1_routines.c,84 :: 		freeBytes = (U8)(64 - freeBytes);
	MOVF        R0, 0 
	SUBLW       64
	MOVWF       CL_hashUpdate_freeBytes_L0+0 
;sha1_routines.c,86 :: 		while (nbytes > 0) {
L_CL_hashUpdate0:
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       FARG_CL_hashUpdate_nbytes+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CL_hashUpdate35
	MOVF        FARG_CL_hashUpdate_nbytes+0, 0 
	SUBLW       0
L__CL_hashUpdate35:
	BTFSC       STATUS+0, 0 
	GOTO        L_CL_hashUpdate1
;sha1_routines.c,89 :: 		i = freeBytes;
	MOVF        CL_hashUpdate_freeBytes_L0+0, 0 
	MOVWF       CL_hashUpdate_i_L0+0 
;sha1_routines.c,90 :: 		if (nbytes < i) i = (U8)nbytes;
	MOVLW       128
	XORWF       FARG_CL_hashUpdate_nbytes+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CL_hashUpdate36
	MOVF        CL_hashUpdate_freeBytes_L0+0, 0 
	SUBWF       FARG_CL_hashUpdate_nbytes+0, 0 
L__CL_hashUpdate36:
	BTFSC       STATUS+0, 0 
	GOTO        L_CL_hashUpdate2
	MOVF        FARG_CL_hashUpdate_nbytes+0, 0 
	MOVWF       CL_hashUpdate_i_L0+0 
L_CL_hashUpdate2:
;sha1_routines.c,93 :: 		if (i == 64)
	MOVF        CL_hashUpdate_i_L0+0, 0 
	XORLW       64
	BTFSS       STATUS+0, 2 
	GOTO        L_CL_hashUpdate3
;sha1_routines.c,95 :: 		*(Buf64*)(ctx->buf) = *(Buf64*)src;
	MOVLW       20
	ADDWF       FARG_CL_hashUpdate_ctx+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_CL_hashUpdate_ctx+1, 0 
	MOVWF       FSR1H 
	MOVLW       64
	MOVWF       R0 
	MOVF        FARG_CL_hashUpdate_src+0, 0 
	MOVWF       FSR0 
	MOVF        FARG_CL_hashUpdate_src+1, 0 
	MOVWF       FSR0H 
L_CL_hashUpdate4:
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	DECF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_CL_hashUpdate4
	GOTO        L_CL_hashUpdate5
L_CL_hashUpdate3:
;sha1_routines.c,98 :: 		memcpy(((U8*)ctx->buf) + 64 - freeBytes, src, i);
	MOVLW       20
	ADDWF       FARG_CL_hashUpdate_ctx+0, 0 
	MOVWF       FARG_memcpy_d1+0 
	MOVLW       0
	ADDWFC      FARG_CL_hashUpdate_ctx+1, 0 
	MOVWF       FARG_memcpy_d1+1 
	MOVLW       64
	ADDWF       FARG_memcpy_d1+0, 1 
	MOVLW       0
	ADDWFC      FARG_memcpy_d1+1, 1 
	MOVF        CL_hashUpdate_freeBytes_L0+0, 0 
	SUBWF       FARG_memcpy_d1+0, 1 
	MOVLW       0
	SUBWFB      FARG_memcpy_d1+1, 1 
	MOVF        FARG_CL_hashUpdate_src+0, 0 
	MOVWF       FARG_memcpy_s1+0 
	MOVF        FARG_CL_hashUpdate_src+1, 0 
	MOVWF       FARG_memcpy_s1+1 
	MOVF        CL_hashUpdate_i_L0+0, 0 
	MOVWF       FARG_memcpy_n+0 
	MOVLW       0
	MOVWF       FARG_memcpy_n+1 
	CALL        _memcpy+0, 0
L_CL_hashUpdate5:
;sha1_routines.c,101 :: 		src += i;
	MOVF        CL_hashUpdate_i_L0+0, 0 
	ADDWF       FARG_CL_hashUpdate_src+0, 1 
	MOVLW       0
	ADDWFC      FARG_CL_hashUpdate_src+1, 1 
;sha1_routines.c,102 :: 		nbytes -= i;
	MOVF        CL_hashUpdate_i_L0+0, 0 
	SUBWF       FARG_CL_hashUpdate_nbytes+0, 1 
	MOVLW       0
	SUBWFB      FARG_CL_hashUpdate_nbytes+1, 1 
;sha1_routines.c,103 :: 		freeBytes -= i;
	MOVF        CL_hashUpdate_i_L0+0, 0 
	SUBWF       CL_hashUpdate_freeBytes_L0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       CL_hashUpdate_freeBytes_L0+0 
;sha1_routines.c,106 :: 		if (freeBytes == 0)
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_CL_hashUpdate6
;sha1_routines.c,107 :: 		shaEngine(ctx->buf, ctx->h);
	MOVLW       20
	ADDWF       FARG_CL_hashUpdate_ctx+0, 0 
	MOVWF       FARG_shaEngine_buf+0 
	MOVLW       0
	ADDWFC      FARG_CL_hashUpdate_ctx+1, 0 
	MOVWF       FARG_shaEngine_buf+1 
	MOVF        FARG_CL_hashUpdate_ctx+0, 0 
	MOVWF       FARG_shaEngine_h+0 
	MOVF        FARG_CL_hashUpdate_ctx+1, 0 
	MOVWF       FARG_shaEngine_h+1 
	CALL        _shaEngine+0, 0
L_CL_hashUpdate6:
;sha1_routines.c,110 :: 		temp32 = (ctx->byteCount += i);
	MOVLW       84
	ADDWF       FARG_CL_hashUpdate_ctx+0, 0 
	MOVWF       R5 
	MOVLW       0
	ADDWFC      FARG_CL_hashUpdate_ctx+1, 0 
	MOVWF       R6 
	MOVFF       R5, FSR0
	MOVFF       R6, FSR0H
	MOVF        CL_hashUpdate_i_L0+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R5, FSR1
	MOVFF       R6, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
	MOVFF       R5, FSR0
	MOVFF       R6, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
;sha1_routines.c,111 :: 		if (temp32 == 0) ++ctx->byteCountHi;
	MOVLW       0
	MOVWF       R0 
	XORWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CL_hashUpdate37
	MOVF        R0, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CL_hashUpdate37
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CL_hashUpdate37
	MOVF        R1, 0 
	XORLW       0
L__CL_hashUpdate37:
	BTFSS       STATUS+0, 2 
	GOTO        L_CL_hashUpdate7
	MOVLW       88
	ADDWF       FARG_CL_hashUpdate_ctx+0, 0 
	MOVWF       R4 
	MOVLW       0
	ADDWFC      FARG_CL_hashUpdate_ctx+1, 0 
	MOVWF       R5 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVLW       1
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
L_CL_hashUpdate7:
;sha1_routines.c,114 :: 		freeBytes = 64;
	MOVLW       64
	MOVWF       CL_hashUpdate_freeBytes_L0+0 
;sha1_routines.c,115 :: 		}
	GOTO        L_CL_hashUpdate0
L_CL_hashUpdate1:
;sha1_routines.c,116 :: 		}
L_end_CL_hashUpdate:
	RETURN      0
; end of _CL_hashUpdate

_CL_hashFinal:

;sha1_routines.c,118 :: 		void CL_hashFinal(CL_HashContext *ctx, U8 *dest)
;sha1_routines.c,131 :: 		nbytes = (U8)(ctx->byteCount) & 63;
	MOVLW       84
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FSR0H 
	MOVLW       63
	ANDWF       POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       CL_hashFinal_nbytes_L0+0 
;sha1_routines.c,132 :: 		((U8*)ctx->buf)[nbytes] = 0x80;
	MOVLW       20
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       128
	MOVWF       POSTINC1+0 
;sha1_routines.c,133 :: 		for (i = (nbytes + 1); i < 64; i++) ((U8*)ctx->buf)[i] = 0;
	MOVF        CL_hashFinal_nbytes_L0+0, 0 
	ADDLW       1
	MOVWF       CL_hashFinal_i_L0+0 
L_CL_hashFinal8:
	MOVLW       64
	SUBWF       CL_hashFinal_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_CL_hashFinal9
	MOVLW       20
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       R1 
	MOVF        CL_hashFinal_i_L0+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	INCF        CL_hashFinal_i_L0+0, 1 
	GOTO        L_CL_hashFinal8
L_CL_hashFinal9:
;sha1_routines.c,139 :: 		if (nbytes > (64 - 9)) {
	MOVF        CL_hashFinal_nbytes_L0+0, 0 
	SUBLW       55
	BTFSC       STATUS+0, 0 
	GOTO        L_CL_hashFinal11
;sha1_routines.c,140 :: 		shaEngine(ctx->buf, ctx->h);
	MOVLW       20
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FARG_shaEngine_buf+0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FARG_shaEngine_buf+1 
	MOVF        FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FARG_shaEngine_h+0 
	MOVF        FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FARG_shaEngine_h+1 
	CALL        _shaEngine+0, 0
;sha1_routines.c,141 :: 		memset(ctx->buf, 0, 64);
	MOVLW       20
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FARG_memset_p1+0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       64
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;sha1_routines.c,142 :: 		}
L_CL_hashFinal11:
;sha1_routines.c,149 :: 		temp = ctx->byteCount << 3; // low 4 bytes of bit count
	MOVLW       84
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       3
	MOVWF       R0 
	MOVF        R1, 0 
	MOVWF       CL_hashFinal_temp_L0+0 
	MOVF        R2, 0 
	MOVWF       CL_hashFinal_temp_L0+1 
	MOVF        R3, 0 
	MOVWF       CL_hashFinal_temp_L0+2 
	MOVF        R4, 0 
	MOVWF       CL_hashFinal_temp_L0+3 
	MOVF        R0, 0 
L__CL_hashFinal39:
	BZ          L__CL_hashFinal40
	RLCF        CL_hashFinal_temp_L0+0, 1 
	BCF         CL_hashFinal_temp_L0+0, 0 
	RLCF        CL_hashFinal_temp_L0+1, 1 
	RLCF        CL_hashFinal_temp_L0+2, 1 
	RLCF        CL_hashFinal_temp_L0+3, 1 
	ADDLW       255
	GOTO        L__CL_hashFinal39
L__CL_hashFinal40:
;sha1_routines.c,150 :: 		ptr = &((U8*)ctx->buf)[63]; // point to low byte of bit count
	MOVLW       20
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       CL_hashFinal_ptr_L0+0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       CL_hashFinal_ptr_L0+1 
	MOVLW       63
	ADDWF       CL_hashFinal_ptr_L0+0, 1 
	MOVLW       0
	ADDWFC      CL_hashFinal_ptr_L0+1, 1 
;sha1_routines.c,151 :: 		for (i = 0; i < 4; i++) {
	CLRF        CL_hashFinal_i_L0+0 
L_CL_hashFinal12:
	MOVLW       4
	SUBWF       CL_hashFinal_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_CL_hashFinal13
;sha1_routines.c,152 :: 		*ptr-- = (U8)temp;
	MOVFF       CL_hashFinal_ptr_L0+0, FSR1
	MOVFF       CL_hashFinal_ptr_L0+1, FSR1H
	MOVF        CL_hashFinal_temp_L0+0, 0 
	MOVWF       POSTINC1+0 
	MOVLW       1
	SUBWF       CL_hashFinal_ptr_L0+0, 1 
	MOVLW       0
	SUBWFB      CL_hashFinal_ptr_L0+1, 1 
;sha1_routines.c,153 :: 		temp >>= 8;
	MOVF        CL_hashFinal_temp_L0+1, 0 
	MOVWF       CL_hashFinal_temp_L0+0 
	MOVF        CL_hashFinal_temp_L0+2, 0 
	MOVWF       CL_hashFinal_temp_L0+1 
	MOVF        CL_hashFinal_temp_L0+3, 0 
	MOVWF       CL_hashFinal_temp_L0+2 
	CLRF        CL_hashFinal_temp_L0+3 
;sha1_routines.c,151 :: 		for (i = 0; i < 4; i++) {
	INCF        CL_hashFinal_i_L0+0, 1 
;sha1_routines.c,154 :: 		}
	GOTO        L_CL_hashFinal12
L_CL_hashFinal13:
;sha1_routines.c,156 :: 		temp = ctx->byteCountHi << 3;
	MOVLW       88
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       3
	MOVWF       R0 
	MOVF        R1, 0 
	MOVWF       CL_hashFinal_temp_L0+0 
	MOVF        R2, 0 
	MOVWF       CL_hashFinal_temp_L0+1 
	MOVF        R3, 0 
	MOVWF       CL_hashFinal_temp_L0+2 
	MOVF        R4, 0 
	MOVWF       CL_hashFinal_temp_L0+3 
	MOVF        R0, 0 
L__CL_hashFinal41:
	BZ          L__CL_hashFinal42
	RLCF        CL_hashFinal_temp_L0+0, 1 
	BCF         CL_hashFinal_temp_L0+0, 0 
	RLCF        CL_hashFinal_temp_L0+1, 1 
	RLCF        CL_hashFinal_temp_L0+2, 1 
	RLCF        CL_hashFinal_temp_L0+3, 1 
	ADDLW       255
	GOTO        L__CL_hashFinal41
L__CL_hashFinal42:
;sha1_routines.c,157 :: 		temp |= ctx->byteCount >> (32 - 3); // high 4 bytes of bit count
	MOVLW       84
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R5 
	MOVF        POSTINC0+0, 0 
	MOVWF       R6 
	MOVF        POSTINC0+0, 0 
	MOVWF       R7 
	MOVF        POSTINC0+0, 0 
	MOVWF       R8 
	MOVLW       29
	MOVWF       R4 
	MOVF        R5, 0 
	MOVWF       R0 
	MOVF        R6, 0 
	MOVWF       R1 
	MOVF        R7, 0 
	MOVWF       R2 
	MOVF        R8, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L__CL_hashFinal43:
	BZ          L__CL_hashFinal44
	RRCF        R3, 1 
	RRCF        R2, 1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R3, 7 
	ADDLW       255
	GOTO        L__CL_hashFinal43
L__CL_hashFinal44:
	MOVF        R0, 0 
	IORWF       CL_hashFinal_temp_L0+0, 1 
	MOVF        R1, 0 
	IORWF       CL_hashFinal_temp_L0+1, 1 
	MOVF        R2, 0 
	IORWF       CL_hashFinal_temp_L0+2, 1 
	MOVF        R3, 0 
	IORWF       CL_hashFinal_temp_L0+3, 1 
;sha1_routines.c,158 :: 		for (i = 0; i < 4; i++) {
	CLRF        CL_hashFinal_i_L0+0 
L_CL_hashFinal15:
	MOVLW       4
	SUBWF       CL_hashFinal_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_CL_hashFinal16
;sha1_routines.c,159 :: 		*ptr-- = (U8)temp;
	MOVFF       CL_hashFinal_ptr_L0+0, FSR1
	MOVFF       CL_hashFinal_ptr_L0+1, FSR1H
	MOVF        CL_hashFinal_temp_L0+0, 0 
	MOVWF       POSTINC1+0 
	MOVLW       1
	SUBWF       CL_hashFinal_ptr_L0+0, 1 
	MOVLW       0
	SUBWFB      CL_hashFinal_ptr_L0+1, 1 
;sha1_routines.c,160 :: 		temp >>= 8;
	MOVF        CL_hashFinal_temp_L0+1, 0 
	MOVWF       CL_hashFinal_temp_L0+0 
	MOVF        CL_hashFinal_temp_L0+2, 0 
	MOVWF       CL_hashFinal_temp_L0+1 
	MOVF        CL_hashFinal_temp_L0+3, 0 
	MOVWF       CL_hashFinal_temp_L0+2 
	CLRF        CL_hashFinal_temp_L0+3 
;sha1_routines.c,158 :: 		for (i = 0; i < 4; i++) {
	INCF        CL_hashFinal_i_L0+0, 1 
;sha1_routines.c,161 :: 		}
	GOTO        L_CL_hashFinal15
L_CL_hashFinal16:
;sha1_routines.c,165 :: 		shaEngine(ctx->buf, ctx->h);
	MOVLW       20
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FARG_shaEngine_buf+0 
	MOVLW       0
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FARG_shaEngine_buf+1 
	MOVF        FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FARG_shaEngine_h+0 
	MOVF        FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FARG_shaEngine_h+1 
	CALL        _shaEngine+0, 0
;sha1_routines.c,168 :: 		memcpy(dest, ctx->h, 20);
	MOVF        FARG_CL_hashFinal_dest+0, 0 
	MOVWF       FARG_memcpy_d1+0 
	MOVF        FARG_CL_hashFinal_dest+1, 0 
	MOVWF       FARG_memcpy_d1+1 
	MOVF        FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FARG_memcpy_s1+0 
	MOVF        FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FARG_memcpy_s1+1 
	MOVLW       20
	MOVWF       FARG_memcpy_n+0 
	MOVLW       0
	MOVWF       FARG_memcpy_n+1 
	CALL        _memcpy+0, 0
;sha1_routines.c,169 :: 		for (i = 0; i < 5; i++) {
	CLRF        CL_hashFinal_i_L0+0 
L_CL_hashFinal18:
	MOVLW       5
	SUBWF       CL_hashFinal_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_CL_hashFinal19
;sha1_routines.c,170 :: 		dest[i * 4 + 0] = (ctx->h[i] >> 24) & 0xFF;
	MOVF        CL_hashFinal_i_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	MOVF        R0, 0 
	ADDWF       FARG_CL_hashFinal_dest+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      FARG_CL_hashFinal_dest+1, 0 
	MOVWF       FSR1H 
	MOVF        R0, 0 
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FSR0 
	MOVF        R1, 0 
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R5 
	MOVF        POSTINC0+0, 0 
	MOVWF       R6 
	MOVF        POSTINC0+0, 0 
	MOVWF       R7 
	MOVF        POSTINC0+0, 0 
	MOVWF       R8 
	MOVF        R8, 0 
	MOVWF       R0 
	CLRF        R1 
	CLRF        R2 
	CLRF        R3 
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,171 :: 		dest[i * 4 + 1] = (ctx->h[i] >> 16) & 0xFF;
	MOVF        CL_hashFinal_i_L0+0, 0 
	MOVWF       R2 
	MOVLW       0
	MOVWF       R3 
	RLCF        R2, 1 
	RLCF        R3, 1 
	BCF         R2, 0 
	RLCF        R2, 1 
	RLCF        R3, 1 
	BCF         R2, 0 
	MOVLW       1
	ADDWF       R2, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      R3, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       FARG_CL_hashFinal_dest+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      FARG_CL_hashFinal_dest+1, 0 
	MOVWF       FSR1H 
	MOVF        R2, 0 
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FSR0 
	MOVF        R3, 0 
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R5 
	MOVF        POSTINC0+0, 0 
	MOVWF       R6 
	MOVF        POSTINC0+0, 0 
	MOVWF       R7 
	MOVF        POSTINC0+0, 0 
	MOVWF       R8 
	MOVF        R7, 0 
	MOVWF       R0 
	MOVF        R8, 0 
	MOVWF       R1 
	CLRF        R2 
	CLRF        R3 
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,172 :: 		dest[i * 4 + 2] = (ctx->h[i] >>  8) & 0xFF;
	MOVF        CL_hashFinal_i_L0+0, 0 
	MOVWF       R2 
	MOVLW       0
	MOVWF       R3 
	RLCF        R2, 1 
	RLCF        R3, 1 
	BCF         R2, 0 
	RLCF        R2, 1 
	RLCF        R3, 1 
	BCF         R2, 0 
	MOVLW       2
	ADDWF       R2, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      R3, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       FARG_CL_hashFinal_dest+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      FARG_CL_hashFinal_dest+1, 0 
	MOVWF       FSR1H 
	MOVF        R2, 0 
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FSR0 
	MOVF        R3, 0 
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R5 
	MOVF        POSTINC0+0, 0 
	MOVWF       R6 
	MOVF        POSTINC0+0, 0 
	MOVWF       R7 
	MOVF        POSTINC0+0, 0 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R0 
	MOVF        R7, 0 
	MOVWF       R1 
	MOVF        R8, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,173 :: 		dest[i * 4 + 3] = (ctx->h[i] >>  0) & 0xFF;
	MOVF        CL_hashFinal_i_L0+0, 0 
	MOVWF       R2 
	MOVLW       0
	MOVWF       R3 
	RLCF        R2, 1 
	RLCF        R3, 1 
	BCF         R2, 0 
	RLCF        R2, 1 
	RLCF        R3, 1 
	BCF         R2, 0 
	MOVLW       3
	ADDWF       R2, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      R3, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       FARG_CL_hashFinal_dest+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      FARG_CL_hashFinal_dest+1, 0 
	MOVWF       FSR1H 
	MOVF        R2, 0 
	ADDWF       FARG_CL_hashFinal_ctx+0, 0 
	MOVWF       FSR0 
	MOVF        R3, 0 
	ADDWFC      FARG_CL_hashFinal_ctx+1, 0 
	MOVWF       FSR0H 
	MOVLW       255
	ANDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,169 :: 		for (i = 0; i < 5; i++) {
	INCF        CL_hashFinal_i_L0+0, 1 
;sha1_routines.c,174 :: 		}
	GOTO        L_CL_hashFinal18
L_CL_hashFinal19:
;sha1_routines.c,175 :: 		}
L_end_CL_hashFinal:
	RETURN      0
; end of _CL_hashFinal

_CL_hash:

;sha1_routines.c,178 :: 		void CL_hash(U8 *msg, int msgBytes, U8 *dest)
;sha1_routines.c,182 :: 		CL_hashInit(&ctx);
	MOVLW       CL_hash_ctx_L0+0
	MOVWF       FARG_CL_hashInit_ctx+0 
	MOVLW       hi_addr(CL_hash_ctx_L0+0)
	MOVWF       FARG_CL_hashInit_ctx+1 
	CALL        _CL_hashInit+0, 0
;sha1_routines.c,183 :: 		CL_hashUpdate(&ctx, msg, msgBytes);
	MOVLW       CL_hash_ctx_L0+0
	MOVWF       FARG_CL_hashUpdate_ctx+0 
	MOVLW       hi_addr(CL_hash_ctx_L0+0)
	MOVWF       FARG_CL_hashUpdate_ctx+1 
	MOVF        FARG_CL_hash_msg+0, 0 
	MOVWF       FARG_CL_hashUpdate_src+0 
	MOVF        FARG_CL_hash_msg+1, 0 
	MOVWF       FARG_CL_hashUpdate_src+1 
	MOVF        FARG_CL_hash_msgBytes+0, 0 
	MOVWF       FARG_CL_hashUpdate_nbytes+0 
	MOVF        FARG_CL_hash_msgBytes+1, 0 
	MOVWF       FARG_CL_hashUpdate_nbytes+1 
	CALL        _CL_hashUpdate+0, 0
;sha1_routines.c,184 :: 		CL_hashFinal(&ctx, dest);
	MOVLW       CL_hash_ctx_L0+0
	MOVWF       FARG_CL_hashFinal_ctx+0 
	MOVLW       hi_addr(CL_hash_ctx_L0+0)
	MOVWF       FARG_CL_hashFinal_ctx+1 
	MOVF        FARG_CL_hash_dest+0, 0 
	MOVWF       FARG_CL_hashFinal_dest+0 
	MOVF        FARG_CL_hash_dest+1, 0 
	MOVWF       FARG_CL_hashFinal_dest+1 
	CALL        _CL_hashFinal+0, 0
;sha1_routines.c,185 :: 		}
L_end_CL_hash:
	RETURN      0
; end of _CL_hash

_shaEngine:

;sha1_routines.c,187 :: 		void shaEngine(U32 *buf, U32 *h)
;sha1_routines.c,205 :: 		U32 temp = 0;
	CLRF        shaEngine_temp_L0+0 
	CLRF        shaEngine_temp_L0+1 
	CLRF        shaEngine_temp_L0+2 
	CLRF        shaEngine_temp_L0+3 
;sha1_routines.c,207 :: 		U32 *w = (U32*)buf;
	MOVF        FARG_shaEngine_buf+0, 0 
	MOVWF       shaEngine_w_L0+0 
	MOVF        FARG_shaEngine_buf+1, 0 
	MOVWF       shaEngine_w_L0+1 
;sha1_routines.c,214 :: 		p = (U8*)w;
	MOVF        FARG_shaEngine_buf+0, 0 
	MOVWF       shaEngine_p_L0+0 
	MOVF        FARG_shaEngine_buf+1, 0 
	MOVWF       shaEngine_p_L0+1 
;sha1_routines.c,215 :: 		for (t = 0; t < 16; t++) {
	CLRF        R15 
L_shaEngine21:
	MOVLW       16
	SUBWF       R15, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_shaEngine22
;sha1_routines.c,216 :: 		temp = (temp << 8) | *p++;
	MOVF        shaEngine_temp_L0+2, 0 
	MOVWF       R3 
	MOVF        shaEngine_temp_L0+1, 0 
	MOVWF       R2 
	MOVF        shaEngine_temp_L0+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVFF       shaEngine_p_L0+0, FSR2
	MOVFF       shaEngine_p_L0+1, FSR2H
	MOVF        POSTINC2+0, 0 
	IORWF       R0, 0 
	MOVWF       R5 
	MOVF        R1, 0 
	MOVWF       R6 
	MOVF        R2, 0 
	MOVWF       R7 
	MOVF        R3, 0 
	MOVWF       R8 
	MOVLW       0
	IORWF       R6, 1 
	IORWF       R7, 1 
	IORWF       R8, 1 
	MOVF        R5, 0 
	MOVWF       shaEngine_temp_L0+0 
	MOVF        R6, 0 
	MOVWF       shaEngine_temp_L0+1 
	MOVF        R7, 0 
	MOVWF       shaEngine_temp_L0+2 
	MOVF        R8, 0 
	MOVWF       shaEngine_temp_L0+3 
	INFSNZ      shaEngine_p_L0+0, 1 
	INCF        shaEngine_p_L0+1, 1 
;sha1_routines.c,217 :: 		temp = (temp << 8) | *p++;
	MOVF        R7, 0 
	MOVWF       R3 
	MOVF        R6, 0 
	MOVWF       R2 
	MOVF        R5, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVFF       shaEngine_p_L0+0, FSR2
	MOVFF       shaEngine_p_L0+1, FSR2H
	MOVF        POSTINC2+0, 0 
	IORWF       R0, 0 
	MOVWF       R5 
	MOVF        R1, 0 
	MOVWF       R6 
	MOVF        R2, 0 
	MOVWF       R7 
	MOVF        R3, 0 
	MOVWF       R8 
	MOVLW       0
	IORWF       R6, 1 
	IORWF       R7, 1 
	IORWF       R8, 1 
	MOVF        R5, 0 
	MOVWF       shaEngine_temp_L0+0 
	MOVF        R6, 0 
	MOVWF       shaEngine_temp_L0+1 
	MOVF        R7, 0 
	MOVWF       shaEngine_temp_L0+2 
	MOVF        R8, 0 
	MOVWF       shaEngine_temp_L0+3 
	INFSNZ      shaEngine_p_L0+0, 1 
	INCF        shaEngine_p_L0+1, 1 
;sha1_routines.c,218 :: 		temp = (temp << 8) | *p++;
	MOVF        R7, 0 
	MOVWF       R3 
	MOVF        R6, 0 
	MOVWF       R2 
	MOVF        R5, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVFF       shaEngine_p_L0+0, FSR2
	MOVFF       shaEngine_p_L0+1, FSR2H
	MOVF        POSTINC2+0, 0 
	IORWF       R0, 0 
	MOVWF       R5 
	MOVF        R1, 0 
	MOVWF       R6 
	MOVF        R2, 0 
	MOVWF       R7 
	MOVF        R3, 0 
	MOVWF       R8 
	MOVLW       0
	IORWF       R6, 1 
	IORWF       R7, 1 
	IORWF       R8, 1 
	MOVF        R5, 0 
	MOVWF       shaEngine_temp_L0+0 
	MOVF        R6, 0 
	MOVWF       shaEngine_temp_L0+1 
	MOVF        R7, 0 
	MOVWF       shaEngine_temp_L0+2 
	MOVF        R8, 0 
	MOVWF       shaEngine_temp_L0+3 
	INFSNZ      shaEngine_p_L0+0, 1 
	INCF        shaEngine_p_L0+1, 1 
;sha1_routines.c,219 :: 		temp = (temp << 8) | *p++;
	MOVF        R7, 0 
	MOVWF       R3 
	MOVF        R6, 0 
	MOVWF       R2 
	MOVF        R5, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVFF       shaEngine_p_L0+0, FSR2
	MOVFF       shaEngine_p_L0+1, FSR2H
	MOVF        POSTINC2+0, 0 
	IORWF       R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVLW       0
	IORWF       R5, 1 
	IORWF       R6, 1 
	IORWF       R7, 1 
	MOVF        R4, 0 
	MOVWF       shaEngine_temp_L0+0 
	MOVF        R5, 0 
	MOVWF       shaEngine_temp_L0+1 
	MOVF        R6, 0 
	MOVWF       shaEngine_temp_L0+2 
	MOVF        R7, 0 
	MOVWF       shaEngine_temp_L0+3 
	INFSNZ      shaEngine_p_L0+0, 1 
	INCF        shaEngine_p_L0+1, 1 
;sha1_routines.c,220 :: 		w[t] = temp;
	MOVF        R15, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_w_L0+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      shaEngine_w_L0+1, 0 
	MOVWF       FSR1H 
	MOVF        R4, 0 
	MOVWF       POSTINC1+0 
	MOVF        R5, 0 
	MOVWF       POSTINC1+0 
	MOVF        R6, 0 
	MOVWF       POSTINC1+0 
	MOVF        R7, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,215 :: 		for (t = 0; t < 16; t++) {
	INCF        R15, 1 
;sha1_routines.c,221 :: 		}
	GOTO        L_shaEngine21
L_shaEngine22:
;sha1_routines.c,237 :: 		a = h[0];
	MOVFF       FARG_shaEngine_h+0, FSR0
	MOVFF       FARG_shaEngine_h+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R16 
	MOVF        POSTINC0+0, 0 
	MOVWF       R17 
	MOVF        POSTINC0+0, 0 
	MOVWF       R18 
	MOVF        POSTINC0+0, 0 
	MOVWF       R19 
;sha1_routines.c,238 :: 		b = h[1];
	MOVLW       4
	ADDWF       FARG_shaEngine_h+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_shaEngine_h+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_b_L0+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_b_L0+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_b_L0+2 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_b_L0+3 
;sha1_routines.c,239 :: 		c = h[2];
	MOVLW       8
	ADDWF       FARG_shaEngine_h+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_shaEngine_h+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_c_L0+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_c_L0+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_c_L0+2 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_c_L0+3 
;sha1_routines.c,240 :: 		d = h[3];
	MOVLW       12
	ADDWF       FARG_shaEngine_h+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_shaEngine_h+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_d_L0+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_d_L0+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_d_L0+2 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_d_L0+3 
;sha1_routines.c,241 :: 		e = h[4];
	MOVLW       16
	ADDWF       FARG_shaEngine_h+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_shaEngine_h+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_e_L0+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_e_L0+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_e_L0+2 
	MOVF        POSTINC0+0, 0 
	MOVWF       shaEngine_e_L0+3 
;sha1_routines.c,244 :: 		for (t = 0; t < 80; t++) {
	CLRF        R15 
L_shaEngine24:
	MOVLW       80
	SUBWF       R15, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_shaEngine25
;sha1_routines.c,246 :: 		temp = a;
	MOVF        R16, 0 
	MOVWF       shaEngine_temp_L0+0 
	MOVF        R17, 0 
	MOVWF       shaEngine_temp_L0+1 
	MOVF        R18, 0 
	MOVWF       shaEngine_temp_L0+2 
	MOVF        R19, 0 
	MOVWF       shaEngine_temp_L0+3 
;sha1_routines.c,247 :: 		leftRotate(temp, 5);
	MOVLW       5
	MOVWF       R0 
	MOVF        R16, 0 
	MOVWF       shaEngine_temp_L0+0 
	MOVF        R17, 0 
	MOVWF       shaEngine_temp_L0+1 
	MOVF        R18, 0 
	MOVWF       shaEngine_temp_L0+2 
	MOVF        R19, 0 
	MOVWF       shaEngine_temp_L0+3 
	MOVF        R0, 0 
L__shaEngine47:
	BZ          L__shaEngine48
	RLCF        shaEngine_temp_L0+0, 1 
	BCF         shaEngine_temp_L0+0, 0 
	RLCF        shaEngine_temp_L0+1, 1 
	RLCF        shaEngine_temp_L0+2, 1 
	RLCF        shaEngine_temp_L0+3, 1 
	ADDLW       255
	GOTO        L__shaEngine47
L__shaEngine48:
	MOVLW       27
	MOVWF       R4 
	MOVF        R16, 0 
	MOVWF       R0 
	MOVF        R17, 0 
	MOVWF       R1 
	MOVF        R18, 0 
	MOVWF       R2 
	MOVF        R19, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L__shaEngine49:
	BZ          L__shaEngine50
	RRCF        R3, 1 
	RRCF        R2, 1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R3, 7 
	ADDLW       255
	GOTO        L__shaEngine49
L__shaEngine50:
	MOVF        R0, 0 
	IORWF       shaEngine_temp_L0+0, 1 
	MOVF        R1, 0 
	IORWF       shaEngine_temp_L0+1, 1 
	MOVF        R2, 0 
	IORWF       shaEngine_temp_L0+2, 1 
	MOVF        R3, 0 
	IORWF       shaEngine_temp_L0+3, 1 
;sha1_routines.c,248 :: 		temp += e;
	MOVF        shaEngine_e_L0+0, 0 
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVF        shaEngine_e_L0+1, 0 
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVF        shaEngine_e_L0+2, 0 
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVF        shaEngine_e_L0+3, 0 
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,249 :: 		temp += w[t & 0xf];
	MOVLW       15
	ANDWF       R15, 0 
	MOVWF       R3 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_w_L0+0, 0 
	MOVWF       FSR2 
	MOVF        R1, 0 
	ADDWFC      shaEngine_w_L0+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVF        POSTINC2+0, 0 
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVF        POSTINC2+0, 0 
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVF        POSTINC2+0, 0 
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,251 :: 		if (t < 20) {
	MOVLW       20
	SUBWF       R15, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_shaEngine27
;sha1_routines.c,252 :: 		temp += (b & c) | (~b & d);
	MOVF        shaEngine_c_L0+0, 0 
	ANDWF       shaEngine_b_L0+0, 0 
	MOVWF       R4 
	MOVF        shaEngine_c_L0+1, 0 
	ANDWF       shaEngine_b_L0+1, 0 
	MOVWF       R5 
	MOVF        shaEngine_c_L0+2, 0 
	ANDWF       shaEngine_b_L0+2, 0 
	MOVWF       R6 
	MOVF        shaEngine_c_L0+3, 0 
	ANDWF       shaEngine_b_L0+3, 0 
	MOVWF       R7 
	COMF        shaEngine_b_L0+0, 0 
	MOVWF       R0 
	COMF        shaEngine_b_L0+1, 0 
	MOVWF       R1 
	COMF        shaEngine_b_L0+2, 0 
	MOVWF       R2 
	COMF        shaEngine_b_L0+3, 0 
	MOVWF       R3 
	MOVF        shaEngine_d_L0+0, 0 
	ANDWF       R0, 1 
	MOVF        shaEngine_d_L0+1, 0 
	ANDWF       R1, 1 
	MOVF        shaEngine_d_L0+2, 0 
	ANDWF       R2, 1 
	MOVF        shaEngine_d_L0+3, 0 
	ANDWF       R3, 1 
	MOVF        R4, 0 
	IORWF       R0, 1 
	MOVF        R5, 0 
	IORWF       R1, 1 
	MOVF        R6, 0 
	IORWF       R2, 1 
	MOVF        R7, 0 
	IORWF       R3, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVF        R1, 0 
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVF        R2, 0 
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVF        R3, 0 
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,253 :: 		temp += 0x5a827999L;
	MOVLW       153
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVLW       121
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVLW       130
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVLW       90
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,254 :: 		}else if (t < 40) {
	GOTO        L_shaEngine28
L_shaEngine27:
	MOVLW       40
	SUBWF       R15, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_shaEngine29
;sha1_routines.c,255 :: 		temp += b ^ c ^ d;
	MOVF        shaEngine_c_L0+0, 0 
	XORWF       shaEngine_b_L0+0, 0 
	MOVWF       R0 
	MOVF        shaEngine_c_L0+1, 0 
	XORWF       shaEngine_b_L0+1, 0 
	MOVWF       R1 
	MOVF        shaEngine_c_L0+2, 0 
	XORWF       shaEngine_b_L0+2, 0 
	MOVWF       R2 
	MOVF        shaEngine_c_L0+3, 0 
	XORWF       shaEngine_b_L0+3, 0 
	MOVWF       R3 
	MOVF        shaEngine_d_L0+0, 0 
	XORWF       R0, 1 
	MOVF        shaEngine_d_L0+1, 0 
	XORWF       R1, 1 
	MOVF        shaEngine_d_L0+2, 0 
	XORWF       R2, 1 
	MOVF        shaEngine_d_L0+3, 0 
	XORWF       R3, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVF        R1, 0 
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVF        R2, 0 
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVF        R3, 0 
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,256 :: 		temp += 0x6ed9eba1L;
	MOVLW       161
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVLW       235
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVLW       217
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVLW       110
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,257 :: 		}else if (t < 60) {
	GOTO        L_shaEngine30
L_shaEngine29:
	MOVLW       60
	SUBWF       R15, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_shaEngine31
;sha1_routines.c,258 :: 		temp += (b & c) | (b & d) | (c & d);
	MOVF        shaEngine_c_L0+0, 0 
	ANDWF       shaEngine_b_L0+0, 0 
	MOVWF       R4 
	MOVF        shaEngine_c_L0+1, 0 
	ANDWF       shaEngine_b_L0+1, 0 
	MOVWF       R5 
	MOVF        shaEngine_c_L0+2, 0 
	ANDWF       shaEngine_b_L0+2, 0 
	MOVWF       R6 
	MOVF        shaEngine_c_L0+3, 0 
	ANDWF       shaEngine_b_L0+3, 0 
	MOVWF       R7 
	MOVF        shaEngine_d_L0+0, 0 
	ANDWF       shaEngine_b_L0+0, 0 
	MOVWF       R0 
	MOVF        shaEngine_d_L0+1, 0 
	ANDWF       shaEngine_b_L0+1, 0 
	MOVWF       R1 
	MOVF        shaEngine_d_L0+2, 0 
	ANDWF       shaEngine_b_L0+2, 0 
	MOVWF       R2 
	MOVF        shaEngine_d_L0+3, 0 
	ANDWF       shaEngine_b_L0+3, 0 
	MOVWF       R3 
	MOVF        R0, 0 
	IORWF       R4, 1 
	MOVF        R1, 0 
	IORWF       R5, 1 
	MOVF        R2, 0 
	IORWF       R6, 1 
	MOVF        R3, 0 
	IORWF       R7, 1 
	MOVF        shaEngine_d_L0+0, 0 
	ANDWF       shaEngine_c_L0+0, 0 
	MOVWF       R0 
	MOVF        shaEngine_d_L0+1, 0 
	ANDWF       shaEngine_c_L0+1, 0 
	MOVWF       R1 
	MOVF        shaEngine_d_L0+2, 0 
	ANDWF       shaEngine_c_L0+2, 0 
	MOVWF       R2 
	MOVF        shaEngine_d_L0+3, 0 
	ANDWF       shaEngine_c_L0+3, 0 
	MOVWF       R3 
	MOVF        R4, 0 
	IORWF       R0, 1 
	MOVF        R5, 0 
	IORWF       R1, 1 
	MOVF        R6, 0 
	IORWF       R2, 1 
	MOVF        R7, 0 
	IORWF       R3, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVF        R1, 0 
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVF        R2, 0 
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVF        R3, 0 
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,259 :: 		temp += 0x8f1bbcdcL;
	MOVLW       220
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVLW       188
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVLW       27
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVLW       143
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,260 :: 		}else {
	GOTO        L_shaEngine32
L_shaEngine31:
;sha1_routines.c,261 :: 		temp += b ^ c ^ d;
	MOVF        shaEngine_c_L0+0, 0 
	XORWF       shaEngine_b_L0+0, 0 
	MOVWF       R0 
	MOVF        shaEngine_c_L0+1, 0 
	XORWF       shaEngine_b_L0+1, 0 
	MOVWF       R1 
	MOVF        shaEngine_c_L0+2, 0 
	XORWF       shaEngine_b_L0+2, 0 
	MOVWF       R2 
	MOVF        shaEngine_c_L0+3, 0 
	XORWF       shaEngine_b_L0+3, 0 
	MOVWF       R3 
	MOVF        shaEngine_d_L0+0, 0 
	XORWF       R0, 1 
	MOVF        shaEngine_d_L0+1, 0 
	XORWF       R1, 1 
	MOVF        shaEngine_d_L0+2, 0 
	XORWF       R2, 1 
	MOVF        shaEngine_d_L0+3, 0 
	XORWF       R3, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVF        R1, 0 
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVF        R2, 0 
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVF        R3, 0 
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,262 :: 		temp += 0xca62c1d6L;
	MOVLW       214
	ADDWF       shaEngine_temp_L0+0, 1 
	MOVLW       193
	ADDWFC      shaEngine_temp_L0+1, 1 
	MOVLW       98
	ADDWFC      shaEngine_temp_L0+2, 1 
	MOVLW       202
	ADDWFC      shaEngine_temp_L0+3, 1 
;sha1_routines.c,263 :: 		}
L_shaEngine32:
L_shaEngine30:
L_shaEngine28:
;sha1_routines.c,265 :: 		e = d;
	MOVF        shaEngine_d_L0+0, 0 
	MOVWF       shaEngine_e_L0+0 
	MOVF        shaEngine_d_L0+1, 0 
	MOVWF       shaEngine_e_L0+1 
	MOVF        shaEngine_d_L0+2, 0 
	MOVWF       shaEngine_e_L0+2 
	MOVF        shaEngine_d_L0+3, 0 
	MOVWF       shaEngine_e_L0+3 
;sha1_routines.c,266 :: 		d = c;
	MOVF        shaEngine_c_L0+0, 0 
	MOVWF       shaEngine_d_L0+0 
	MOVF        shaEngine_c_L0+1, 0 
	MOVWF       shaEngine_d_L0+1 
	MOVF        shaEngine_c_L0+2, 0 
	MOVWF       shaEngine_d_L0+2 
	MOVF        shaEngine_c_L0+3, 0 
	MOVWF       shaEngine_d_L0+3 
;sha1_routines.c,267 :: 		c = b; leftRotate(c, 30);
	MOVF        shaEngine_b_L0+0, 0 
	MOVWF       shaEngine_c_L0+0 
	MOVF        shaEngine_b_L0+1, 0 
	MOVWF       shaEngine_c_L0+1 
	MOVF        shaEngine_b_L0+2, 0 
	MOVWF       shaEngine_c_L0+2 
	MOVF        shaEngine_b_L0+3, 0 
	MOVWF       shaEngine_c_L0+3 
	MOVLW       30
	MOVWF       R0 
	MOVF        shaEngine_b_L0+0, 0 
	MOVWF       shaEngine_c_L0+0 
	MOVF        shaEngine_b_L0+1, 0 
	MOVWF       shaEngine_c_L0+1 
	MOVF        shaEngine_b_L0+2, 0 
	MOVWF       shaEngine_c_L0+2 
	MOVF        shaEngine_b_L0+3, 0 
	MOVWF       shaEngine_c_L0+3 
	MOVF        R0, 0 
L__shaEngine51:
	BZ          L__shaEngine52
	RLCF        shaEngine_c_L0+0, 1 
	BCF         shaEngine_c_L0+0, 0 
	RLCF        shaEngine_c_L0+1, 1 
	RLCF        shaEngine_c_L0+2, 1 
	RLCF        shaEngine_c_L0+3, 1 
	ADDLW       255
	GOTO        L__shaEngine51
L__shaEngine52:
	MOVF        shaEngine_b_L0+0, 0 
	MOVWF       R0 
	MOVF        shaEngine_b_L0+1, 0 
	MOVWF       R1 
	MOVF        shaEngine_b_L0+2, 0 
	MOVWF       R2 
	MOVF        shaEngine_b_L0+3, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R3, 7 
	MOVF        R0, 0 
	IORWF       shaEngine_c_L0+0, 1 
	MOVF        R1, 0 
	IORWF       shaEngine_c_L0+1, 1 
	MOVF        R2, 0 
	IORWF       shaEngine_c_L0+2, 1 
	MOVF        R3, 0 
	IORWF       shaEngine_c_L0+3, 1 
;sha1_routines.c,268 :: 		b = a;
	MOVF        R16, 0 
	MOVWF       shaEngine_b_L0+0 
	MOVF        R17, 0 
	MOVWF       shaEngine_b_L0+1 
	MOVF        R18, 0 
	MOVWF       shaEngine_b_L0+2 
	MOVF        R19, 0 
	MOVWF       shaEngine_b_L0+3 
;sha1_routines.c,269 :: 		a = temp;
	MOVF        shaEngine_temp_L0+0, 0 
	MOVWF       R16 
	MOVF        shaEngine_temp_L0+1, 0 
	MOVWF       R17 
	MOVF        shaEngine_temp_L0+2, 0 
	MOVWF       R18 
	MOVF        shaEngine_temp_L0+3, 0 
	MOVWF       R19 
;sha1_routines.c,271 :: 		temp = w[t & 0xf] ^ w[(t - 3) & 0xf] ^ w[(t - 8) & 0xf] ^ w[(t - 14) & 0xf];
	MOVLW       15
	ANDWF       R15, 0 
	MOVWF       R3 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_w_L0+0, 0 
	MOVWF       R13 
	MOVF        R1, 0 
	ADDWFC      shaEngine_w_L0+1, 0 
	MOVWF       R14 
	MOVLW       3
	SUBWF       R15, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       15
	ANDWF       R0, 0 
	MOVWF       R3 
	MOVF        R1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_w_L0+0, 0 
	MOVWF       FSR2 
	MOVF        R1, 0 
	ADDWFC      shaEngine_w_L0+1, 0 
	MOVWF       FSR2H 
	MOVFF       R13, FSR0
	MOVFF       R14, FSR0H
	MOVF        POSTINC2+0, 0 
	XORWF       POSTINC0+0, 0 
	MOVWF       R5 
	MOVF        POSTINC2+0, 0 
	XORWF       POSTINC0+0, 0 
	MOVWF       R6 
	MOVF        POSTINC2+0, 0 
	XORWF       POSTINC0+0, 0 
	MOVWF       R7 
	MOVF        POSTINC2+0, 0 
	XORWF       POSTINC0+0, 0 
	MOVWF       R8 
	MOVLW       8
	SUBWF       R15, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       15
	ANDWF       R0, 0 
	MOVWF       R3 
	MOVF        R1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_w_L0+0, 0 
	MOVWF       FSR2 
	MOVF        R1, 0 
	ADDWFC      shaEngine_w_L0+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	XORWF       R5, 1 
	MOVF        POSTINC2+0, 0 
	XORWF       R6, 1 
	MOVF        POSTINC2+0, 0 
	XORWF       R7, 1 
	MOVF        POSTINC2+0, 0 
	XORWF       R8, 1 
	MOVLW       14
	SUBWF       R15, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       15
	ANDWF       R0, 0 
	MOVWF       R3 
	MOVF        R1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       shaEngine_w_L0+0, 0 
	MOVWF       FSR2 
	MOVF        R1, 0 
	ADDWFC      shaEngine_w_L0+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	XORWF       R5, 0 
	MOVWF       R9 
	MOVF        POSTINC2+0, 0 
	XORWF       R6, 0 
	MOVWF       R10 
	MOVF        POSTINC2+0, 0 
	XORWF       R7, 0 
	MOVWF       R11 
	MOVF        POSTINC2+0, 0 
	XORWF       R8, 0 
	MOVWF       R12 
	MOVF        R9, 0 
	MOVWF       shaEngine_temp_L0+0 
	MOVF        R10, 0 
	MOVWF       shaEngine_temp_L0+1 
	MOVF        R11, 0 
	MOVWF       shaEngine_temp_L0+2 
	MOVF        R12, 0 
	MOVWF       shaEngine_temp_L0+3 
;sha1_routines.c,272 :: 		leftRotate(temp, 1);
	MOVF        R9, 0 
	MOVWF       R5 
	MOVF        R10, 0 
	MOVWF       R6 
	MOVF        R11, 0 
	MOVWF       R7 
	MOVF        R12, 0 
	MOVWF       R8 
	RLCF        R5, 1 
	BCF         R5, 0 
	RLCF        R6, 1 
	RLCF        R7, 1 
	RLCF        R8, 1 
	MOVLW       31
	MOVWF       R4 
	MOVF        R9, 0 
	MOVWF       R0 
	MOVF        R10, 0 
	MOVWF       R1 
	MOVF        R11, 0 
	MOVWF       R2 
	MOVF        R12, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L__shaEngine53:
	BZ          L__shaEngine54
	RRCF        R3, 1 
	RRCF        R2, 1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R3, 7 
	ADDLW       255
	GOTO        L__shaEngine53
L__shaEngine54:
	MOVF        R5, 0 
	IORWF       R0, 1 
	MOVF        R6, 0 
	IORWF       R1, 1 
	MOVF        R7, 0 
	IORWF       R2, 1 
	MOVF        R8, 0 
	IORWF       R3, 1 
	MOVF        R0, 0 
	MOVWF       shaEngine_temp_L0+0 
	MOVF        R1, 0 
	MOVWF       shaEngine_temp_L0+1 
	MOVF        R2, 0 
	MOVWF       shaEngine_temp_L0+2 
	MOVF        R3, 0 
	MOVWF       shaEngine_temp_L0+3 
;sha1_routines.c,273 :: 		w[t & 0xf] = temp;
	MOVFF       R13, FSR1
	MOVFF       R14, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,244 :: 		for (t = 0; t < 80; t++) {
	INCF        R15, 1 
;sha1_routines.c,275 :: 		}
	GOTO        L_shaEngine24
L_shaEngine25:
;sha1_routines.c,278 :: 		h[0] += a;
	MOVFF       FARG_shaEngine_h+0, FSR0
	MOVFF       FARG_shaEngine_h+1, FSR0H
	MOVFF       FARG_shaEngine_h+0, FSR1
	MOVFF       FARG_shaEngine_h+1, FSR1H
	MOVF        R16, 0 
	ADDWF       POSTINC1+0, 1 
	MOVF        R17, 0 
	ADDWFC      POSTINC1+0, 1 
	MOVF        R18, 0 
	ADDWFC      POSTINC1+0, 1 
	MOVF        R19, 0 
	ADDWFC      POSTINC1+0, 1 
;sha1_routines.c,279 :: 		h[1] += b;
	MOVLW       4
	ADDWF       FARG_shaEngine_h+0, 0 
	MOVWF       R4 
	MOVLW       0
	ADDWFC      FARG_shaEngine_h+1, 0 
	MOVWF       R5 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVF        shaEngine_b_L0+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        shaEngine_b_L0+1, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        shaEngine_b_L0+2, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        shaEngine_b_L0+3, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,280 :: 		h[2] += c;
	MOVLW       8
	ADDWF       FARG_shaEngine_h+0, 0 
	MOVWF       R4 
	MOVLW       0
	ADDWFC      FARG_shaEngine_h+1, 0 
	MOVWF       R5 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVF        shaEngine_c_L0+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        shaEngine_c_L0+1, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        shaEngine_c_L0+2, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        shaEngine_c_L0+3, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,281 :: 		h[3] += d;
	MOVLW       12
	ADDWF       FARG_shaEngine_h+0, 0 
	MOVWF       R4 
	MOVLW       0
	ADDWFC      FARG_shaEngine_h+1, 0 
	MOVWF       R5 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVF        shaEngine_d_L0+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        shaEngine_d_L0+1, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        shaEngine_d_L0+2, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        shaEngine_d_L0+3, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,282 :: 		h[4] += e;
	MOVLW       16
	ADDWF       FARG_shaEngine_h+0, 0 
	MOVWF       R4 
	MOVLW       0
	ADDWFC      FARG_shaEngine_h+1, 0 
	MOVWF       R5 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVF        shaEngine_e_L0+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        shaEngine_e_L0+1, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        shaEngine_e_L0+2, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        shaEngine_e_L0+3, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha1_routines.c,295 :: 		}
L_end_shaEngine:
	RETURN      0
; end of _shaEngine
