
sha2_routines_sw_sha256_process:

;sha2_routines.c,54 :: 		static void sw_sha256_process(sw_sha256_ctx* ctx,  uint8_t* blocks, uint32_t block_count)
;sha2_routines.c,56 :: 		int i = 0;
	CLRF        sha2_routines_sw_sha256_process_i_L0+0 
	CLRF        sha2_routines_sw_sha256_process_i_L0+1 
	CLRF        sha2_routines_sw_sha256_process_block_L0+0 
	CLRF        sha2_routines_sw_sha256_process_block_L0+1 
	CLRF        sha2_routines_sw_sha256_process_block_L0+2 
	CLRF        sha2_routines_sw_sha256_process_block_L0+3 
;sha2_routines.c,76 :: 		for (block = 0; block < block_count; block++) {
	CLRF        sha2_routines_sw_sha256_process_block_L0+0 
	CLRF        sha2_routines_sw_sha256_process_block_L0+1 
	CLRF        sha2_routines_sw_sha256_process_block_L0+2 
	CLRF        sha2_routines_sw_sha256_process_block_L0+3 
L_sha2_routines_sw_sha256_process0:
	MOVF        FARG_sha2_routines_sw_sha256_process_block_count+3, 0 
	SUBWF       sha2_routines_sw_sha256_process_block_L0+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process30
	MOVF        FARG_sha2_routines_sw_sha256_process_block_count+2, 0 
	SUBWF       sha2_routines_sw_sha256_process_block_L0+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process30
	MOVF        FARG_sha2_routines_sw_sha256_process_block_count+1, 0 
	SUBWF       sha2_routines_sw_sha256_process_block_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process30
	MOVF        FARG_sha2_routines_sw_sha256_process_block_count+0, 0 
	SUBWF       sha2_routines_sw_sha256_process_block_L0+0, 0 
L_sha2_routines_sw_sha256_process30:
	BTFSC       STATUS+0, 0 
	GOTO        L_sha2_routines_sw_sha256_process1
;sha2_routines.c,83 :: 		uint8_t* cur_msg_block = &blocks[block * SHA256_BLOCK_SIZE];
	MOVLW       6
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_block_L0+0, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_block_L0+1, 0 
	MOVWF       R1 
	MOVF        sha2_routines_sw_sha256_process_block_L0+2, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_block_L0+3, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process31:
	BZ          L_sha2_routines_sw_sha256_process32
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process31
L_sha2_routines_sw_sha256_process32:
	MOVF        FARG_sha2_routines_sw_sha256_process_blocks+0, 0 
	ADDWF       R0, 0 
	MOVWF       sha2_routines_sw_sha256_process_cur_msg_block_L1+0 
	MOVF        FARG_sha2_routines_sw_sha256_process_blocks+1, 0 
	ADDWFC      R1, 0 
	MOVWF       sha2_routines_sw_sha256_process_cur_msg_block_L1+1 
;sha2_routines.c,86 :: 		for (i = 0; i < SHA256_BLOCK_SIZE; i += 4) {
	CLRF        sha2_routines_sw_sha256_process_i_L0+0 
	CLRF        sha2_routines_sw_sha256_process_i_L0+1 
L_sha2_routines_sw_sha256_process3:
	MOVLW       128
	XORWF       sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process33
	MOVLW       64
	SUBWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
L_sha2_routines_sw_sha256_process33:
	BTFSC       STATUS+0, 0 
	GOTO        L_sha2_routines_sw_sha256_process4
;sha2_routines.c,87 :: 		w_union.w_byte[i + 3] = cur_msg_block[i + 0];
	MOVLW       3
	ADDWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        sha2_routines_sw_sha256_process_i_L0+0, 0 
	ADDWF       sha2_routines_sw_sha256_process_cur_msg_block_L1+0, 0 
	MOVWF       FSR0 
	MOVF        sha2_routines_sw_sha256_process_i_L0+1, 0 
	ADDWFC      sha2_routines_sw_sha256_process_cur_msg_block_L1+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,88 :: 		w_union.w_byte[i + 2] = cur_msg_block[i + 1];
	MOVLW       2
	ADDWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       1
	ADDWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       sha2_routines_sw_sha256_process_cur_msg_block_L1+0, 0 
	MOVWF       FSR0 
	MOVF        R1, 0 
	ADDWFC      sha2_routines_sw_sha256_process_cur_msg_block_L1+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,89 :: 		w_union.w_byte[i + 1] = cur_msg_block[i + 2];
	MOVLW       1
	ADDWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       2
	ADDWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       sha2_routines_sw_sha256_process_cur_msg_block_L1+0, 0 
	MOVWF       FSR0 
	MOVF        R1, 0 
	ADDWFC      sha2_routines_sw_sha256_process_cur_msg_block_L1+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,90 :: 		w_union.w_byte[i + 0] = cur_msg_block[i + 3];
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVLW       3
	ADDWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       sha2_routines_sw_sha256_process_cur_msg_block_L1+0, 0 
	MOVWF       FSR0 
	MOVF        R1, 0 
	ADDWFC      sha2_routines_sw_sha256_process_cur_msg_block_L1+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,86 :: 		for (i = 0; i < SHA256_BLOCK_SIZE; i += 4) {
	MOVLW       4
	ADDWF       sha2_routines_sw_sha256_process_i_L0+0, 1 
	MOVLW       0
	ADDWFC      sha2_routines_sw_sha256_process_i_L0+1, 1 
;sha2_routines.c,91 :: 		}
	GOTO        L_sha2_routines_sw_sha256_process3
L_sha2_routines_sw_sha256_process4:
;sha2_routines.c,93 :: 		w_index = 16;
	MOVLW       16
	MOVWF       sha2_routines_sw_sha256_process_w_index_L1+0 
	MOVLW       0
	MOVWF       sha2_routines_sw_sha256_process_w_index_L1+1 
	MOVWF       sha2_routines_sw_sha256_process_w_index_L1+2 
	MOVWF       sha2_routines_sw_sha256_process_w_index_L1+3 
;sha2_routines.c,94 :: 		while (w_index < SHA256_BLOCK_SIZE) {
L_sha2_routines_sw_sha256_process6:
	MOVLW       0
	SUBWF       sha2_routines_sw_sha256_process_w_index_L1+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process34
	MOVLW       0
	SUBWF       sha2_routines_sw_sha256_process_w_index_L1+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process34
	MOVLW       0
	SUBWF       sha2_routines_sw_sha256_process_w_index_L1+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process34
	MOVLW       64
	SUBWF       sha2_routines_sw_sha256_process_w_index_L1+0, 0 
L_sha2_routines_sw_sha256_process34:
	BTFSC       STATUS+0, 0 
	GOTO        L_sha2_routines_sw_sha256_process7
;sha2_routines.c,96 :: 		word_value = w_union.w_word[w_index - 15];
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+0, 0 
	MOVWF       R3 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+1, 0 
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+2, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+3, 0 
	MOVWF       R6 
	MOVLW       15
	SUBWF       R3, 1 
	MOVLW       0
	SUBWFB      R4, 1 
	SUBWFB      R5, 1 
	SUBWFB      R6, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R13 
	MOVF        POSTINC0+0, 0 
	MOVWF       R14 
	MOVF        POSTINC0+0, 0 
	MOVWF       R15 
	MOVF        POSTINC0+0, 0 
	MOVWF       R16 
;sha2_routines.c,97 :: 		s0 = rotate_right(word_value, 7) ^ rotate_right(word_value, 18) ^ (word_value >> 3);
	MOVLW       7
	MOVWF       R0 
	MOVF        R13, 0 
	MOVWF       R5 
	MOVF        R14, 0 
	MOVWF       R6 
	MOVF        R15, 0 
	MOVWF       R7 
	MOVF        R16, 0 
	MOVWF       R8 
	MOVF        R0, 0 
L_sha2_routines_sw_sha256_process35:
	BZ          L_sha2_routines_sw_sha256_process36
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process35
L_sha2_routines_sw_sha256_process36:
	MOVLW       25
	MOVWF       R4 
	MOVF        R13, 0 
	MOVWF       R0 
	MOVF        R14, 0 
	MOVWF       R1 
	MOVF        R15, 0 
	MOVWF       R2 
	MOVF        R16, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process37:
	BZ          L_sha2_routines_sw_sha256_process38
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process37
L_sha2_routines_sw_sha256_process38:
	MOVF        R0, 0 
	IORWF       R5, 0 
	MOVWF       R9 
	MOVF        R1, 0 
	IORWF       R6, 0 
	MOVWF       R10 
	MOVF        R2, 0 
	IORWF       R7, 0 
	MOVWF       R11 
	MOVF        R3, 0 
	IORWF       R8, 0 
	MOVWF       R12 
	MOVLW       18
	MOVWF       R0 
	MOVF        R13, 0 
	MOVWF       R5 
	MOVF        R14, 0 
	MOVWF       R6 
	MOVF        R15, 0 
	MOVWF       R7 
	MOVF        R16, 0 
	MOVWF       R8 
	MOVF        R0, 0 
L_sha2_routines_sw_sha256_process39:
	BZ          L_sha2_routines_sw_sha256_process40
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process39
L_sha2_routines_sw_sha256_process40:
	MOVLW       14
	MOVWF       R4 
	MOVF        R13, 0 
	MOVWF       R0 
	MOVF        R14, 0 
	MOVWF       R1 
	MOVF        R15, 0 
	MOVWF       R2 
	MOVF        R16, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process41:
	BZ          L_sha2_routines_sw_sha256_process42
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process41
L_sha2_routines_sw_sha256_process42:
	MOVF        R5, 0 
	IORWF       R0, 1 
	MOVF        R6, 0 
	IORWF       R1, 1 
	MOVF        R7, 0 
	IORWF       R2, 1 
	MOVF        R8, 0 
	IORWF       R3, 1 
	MOVF        R0, 0 
	XORWF       R9, 0 
	MOVWF       R5 
	MOVF        R1, 0 
	XORWF       R10, 0 
	MOVWF       R6 
	MOVF        R2, 0 
	XORWF       R11, 0 
	MOVWF       R7 
	MOVF        R3, 0 
	XORWF       R12, 0 
	MOVWF       R8 
	MOVLW       3
	MOVWF       R4 
	MOVF        R13, 0 
	MOVWF       R0 
	MOVF        R14, 0 
	MOVWF       R1 
	MOVF        R15, 0 
	MOVWF       R2 
	MOVF        R16, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process43:
	BZ          L_sha2_routines_sw_sha256_process44
	RRCF        R3, 1 
	RRCF        R2, 1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R3, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process43
L_sha2_routines_sw_sha256_process44:
	MOVF        R0, 0 
	XORWF       R5, 0 
	MOVWF       R17 
	MOVF        R1, 0 
	XORWF       R6, 0 
	MOVWF       R18 
	MOVF        R2, 0 
	XORWF       R7, 0 
	MOVWF       R19 
	MOVF        R3, 0 
	XORWF       R8, 0 
	MOVWF       R20 
;sha2_routines.c,99 :: 		word_value = w_union.w_word[w_index - 2];
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+0, 0 
	MOVWF       R3 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+1, 0 
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+2, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+3, 0 
	MOVWF       R6 
	MOVLW       2
	SUBWF       R3, 1 
	MOVLW       0
	SUBWFB      R4, 1 
	SUBWFB      R5, 1 
	SUBWFB      R6, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R13 
	MOVF        POSTINC0+0, 0 
	MOVWF       R14 
	MOVF        POSTINC0+0, 0 
	MOVWF       R15 
	MOVF        POSTINC0+0, 0 
	MOVWF       R16 
;sha2_routines.c,100 :: 		s1 = rotate_right(word_value, 17) ^ rotate_right(word_value, 19) ^ (word_value >> 10);
	MOVLW       17
	MOVWF       R0 
	MOVF        R13, 0 
	MOVWF       R5 
	MOVF        R14, 0 
	MOVWF       R6 
	MOVF        R15, 0 
	MOVWF       R7 
	MOVF        R16, 0 
	MOVWF       R8 
	MOVF        R0, 0 
L_sha2_routines_sw_sha256_process45:
	BZ          L_sha2_routines_sw_sha256_process46
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process45
L_sha2_routines_sw_sha256_process46:
	MOVLW       15
	MOVWF       R4 
	MOVF        R13, 0 
	MOVWF       R0 
	MOVF        R14, 0 
	MOVWF       R1 
	MOVF        R15, 0 
	MOVWF       R2 
	MOVF        R16, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process47:
	BZ          L_sha2_routines_sw_sha256_process48
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process47
L_sha2_routines_sw_sha256_process48:
	MOVF        R0, 0 
	IORWF       R5, 0 
	MOVWF       R9 
	MOVF        R1, 0 
	IORWF       R6, 0 
	MOVWF       R10 
	MOVF        R2, 0 
	IORWF       R7, 0 
	MOVWF       R11 
	MOVF        R3, 0 
	IORWF       R8, 0 
	MOVWF       R12 
	MOVLW       19
	MOVWF       R0 
	MOVF        R13, 0 
	MOVWF       R5 
	MOVF        R14, 0 
	MOVWF       R6 
	MOVF        R15, 0 
	MOVWF       R7 
	MOVF        R16, 0 
	MOVWF       R8 
	MOVF        R0, 0 
L_sha2_routines_sw_sha256_process49:
	BZ          L_sha2_routines_sw_sha256_process50
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process49
L_sha2_routines_sw_sha256_process50:
	MOVLW       13
	MOVWF       R4 
	MOVF        R13, 0 
	MOVWF       R0 
	MOVF        R14, 0 
	MOVWF       R1 
	MOVF        R15, 0 
	MOVWF       R2 
	MOVF        R16, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process51:
	BZ          L_sha2_routines_sw_sha256_process52
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process51
L_sha2_routines_sw_sha256_process52:
	MOVF        R5, 0 
	IORWF       R0, 1 
	MOVF        R6, 0 
	IORWF       R1, 1 
	MOVF        R7, 0 
	IORWF       R2, 1 
	MOVF        R8, 0 
	IORWF       R3, 1 
	MOVF        R0, 0 
	XORWF       R9, 0 
	MOVWF       R5 
	MOVF        R1, 0 
	XORWF       R10, 0 
	MOVWF       R6 
	MOVF        R2, 0 
	XORWF       R11, 0 
	MOVWF       R7 
	MOVF        R3, 0 
	XORWF       R12, 0 
	MOVWF       R8 
	MOVLW       10
	MOVWF       R4 
	MOVF        R13, 0 
	MOVWF       R0 
	MOVF        R14, 0 
	MOVWF       R1 
	MOVF        R15, 0 
	MOVWF       R2 
	MOVF        R16, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process53:
	BZ          L_sha2_routines_sw_sha256_process54
	RRCF        R3, 1 
	RRCF        R2, 1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R3, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process53
L_sha2_routines_sw_sha256_process54:
	MOVF        R0, 0 
	XORWF       R5, 0 
	MOVWF       R11 
	MOVF        R1, 0 
	XORWF       R6, 0 
	MOVWF       R12 
	MOVF        R2, 0 
	XORWF       R7, 0 
	MOVWF       R13 
	MOVF        R3, 0 
	XORWF       R8, 0 
	MOVWF       R14 
;sha2_routines.c,102 :: 		w_union.w_word[w_index] = w_union.w_word[w_index - 16] + s0 + w_union.w_word[w_index - 7] + s1;
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+0, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+0, 0 
	MOVWF       R3 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+1, 0 
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+2, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+3, 0 
	MOVWF       R6 
	MOVLW       16
	SUBWF       R3, 1 
	MOVLW       0
	SUBWFB      R4, 1 
	SUBWFB      R5, 1 
	SUBWFB      R6, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        R17, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R7 
	MOVF        R18, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R8 
	MOVF        R19, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R9 
	MOVF        R20, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R10 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+0, 0 
	MOVWF       R3 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+1, 0 
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+2, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_w_index_L1+3, 0 
	MOVWF       R6 
	MOVLW       7
	SUBWF       R3, 1 
	MOVLW       0
	SUBWFB      R4, 1 
	SUBWFB      R5, 1 
	SUBWFB      R6, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       R0, 0 
	MOVWF       FSR2 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      R1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       R7, 0 
	MOVWF       R0 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R8, 0 
	MOVWF       R1 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R9, 0 
	MOVWF       R2 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R10, 0 
	MOVWF       R3 
	MOVF        R11, 0 
	ADDWF       R0, 1 
	MOVF        R12, 0 
	ADDWFC      R1, 1 
	MOVF        R13, 0 
	ADDWFC      R2, 1 
	MOVF        R14, 0 
	ADDWFC      R3, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,104 :: 		w_index++;
	MOVLW       1
	ADDWF       sha2_routines_sw_sha256_process_w_index_L1+0, 1 
	MOVLW       0
	ADDWFC      sha2_routines_sw_sha256_process_w_index_L1+1, 1 
	ADDWFC      sha2_routines_sw_sha256_process_w_index_L1+2, 1 
	ADDWFC      sha2_routines_sw_sha256_process_w_index_L1+3, 1 
;sha2_routines.c,105 :: 		}
	GOTO        L_sha2_routines_sw_sha256_process6
L_sha2_routines_sw_sha256_process7:
;sha2_routines.c,108 :: 		for (i = 0; i < 8; i++)
	CLRF        sha2_routines_sw_sha256_process_i_L0+0 
	CLRF        sha2_routines_sw_sha256_process_i_L0+1 
L_sha2_routines_sw_sha256_process8:
	MOVLW       128
	XORWF       sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process55
	MOVLW       8
	SUBWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
L_sha2_routines_sw_sha256_process55:
	BTFSC       STATUS+0, 0 
	GOTO        L_sha2_routines_sw_sha256_process9
;sha2_routines.c,109 :: 		rotate_register[i] = ctx->hash[i];
	MOVF        sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R3 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	MOVLW       sha2_routines_sw_sha256_process_rotate_register_L1+0
	ADDWF       R2, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_rotate_register_L1+0)
	ADDWFC      R3, 0 
	MOVWF       FSR1H 
	MOVLW       136
	ADDWF       FARG_sha2_routines_sw_sha256_process_ctx+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      FARG_sha2_routines_sw_sha256_process_ctx+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,108 :: 		for (i = 0; i < 8; i++)
	INFSNZ      sha2_routines_sw_sha256_process_i_L0+0, 1 
	INCF        sha2_routines_sw_sha256_process_i_L0+1, 1 
;sha2_routines.c,109 :: 		rotate_register[i] = ctx->hash[i];
	GOTO        L_sha2_routines_sw_sha256_process8
L_sha2_routines_sw_sha256_process9:
;sha2_routines.c,112 :: 		for (i = 0; i < SHA256_BLOCK_SIZE; i++) {
	CLRF        sha2_routines_sw_sha256_process_i_L0+0 
	CLRF        sha2_routines_sw_sha256_process_i_L0+1 
L_sha2_routines_sw_sha256_process11:
	MOVLW       128
	XORWF       sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process56
	MOVLW       64
	SUBWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
L_sha2_routines_sw_sha256_process56:
	BTFSC       STATUS+0, 0 
	GOTO        L_sha2_routines_sw_sha256_process12
;sha2_routines.c,113 :: 		s0 = rotate_right(rotate_register[0], 2)
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+0, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+1, 0 
	MOVWF       R6 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+2, 0 
	MOVWF       R7 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+3, 0 
	MOVWF       R8 
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	MOVLW       30
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+0, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+1, 0 
	MOVWF       R1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+2, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+3, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process57:
	BZ          L_sha2_routines_sw_sha256_process58
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process57
L_sha2_routines_sw_sha256_process58:
	MOVF        R0, 0 
	IORWF       R5, 0 
	MOVWF       R16 
	MOVF        R1, 0 
	IORWF       R6, 0 
	MOVWF       R17 
	MOVF        R2, 0 
	IORWF       R7, 0 
	MOVWF       R18 
	MOVF        R3, 0 
	IORWF       R8, 0 
	MOVWF       R19 
;sha2_routines.c,114 :: 		^ rotate_right(rotate_register[0], 13)
	MOVLW       13
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+0, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+1, 0 
	MOVWF       R6 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+2, 0 
	MOVWF       R7 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+3, 0 
	MOVWF       R8 
	MOVF        R0, 0 
L_sha2_routines_sw_sha256_process59:
	BZ          L_sha2_routines_sw_sha256_process60
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process59
L_sha2_routines_sw_sha256_process60:
	MOVLW       19
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+0, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+1, 0 
	MOVWF       R1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+2, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+3, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process61:
	BZ          L_sha2_routines_sw_sha256_process62
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process61
L_sha2_routines_sw_sha256_process62:
	MOVF        R5, 0 
	IORWF       R0, 1 
	MOVF        R6, 0 
	IORWF       R1, 1 
	MOVF        R7, 0 
	IORWF       R2, 1 
	MOVF        R8, 0 
	IORWF       R3, 1 
	MOVF        R0, 0 
	XORWF       R16, 0 
	MOVWF       R12 
	MOVF        R1, 0 
	XORWF       R17, 0 
	MOVWF       R13 
	MOVF        R2, 0 
	XORWF       R18, 0 
	MOVWF       R14 
	MOVF        R3, 0 
	XORWF       R19, 0 
	MOVWF       R15 
;sha2_routines.c,115 :: 		^ rotate_right(rotate_register[0], 22);
	MOVLW       22
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+0, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+1, 0 
	MOVWF       R6 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+2, 0 
	MOVWF       R7 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+3, 0 
	MOVWF       R8 
	MOVF        R0, 0 
L_sha2_routines_sw_sha256_process63:
	BZ          L_sha2_routines_sw_sha256_process64
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process63
L_sha2_routines_sw_sha256_process64:
	MOVLW       10
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+0, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+1, 0 
	MOVWF       R1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+2, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+3, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process65:
	BZ          L_sha2_routines_sw_sha256_process66
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process65
L_sha2_routines_sw_sha256_process66:
	MOVF        R5, 0 
	IORWF       R0, 1 
	MOVF        R6, 0 
	IORWF       R1, 1 
	MOVF        R7, 0 
	IORWF       R2, 1 
	MOVF        R8, 0 
	IORWF       R3, 1 
	MOVF        R0, 0 
	XORWF       R12, 0 
	MOVWF       R8 
	MOVF        R1, 0 
	XORWF       R13, 0 
	MOVWF       R9 
	MOVF        R2, 0 
	XORWF       R14, 0 
	MOVWF       R10 
	MOVF        R3, 0 
	XORWF       R15, 0 
	MOVWF       R11 
;sha2_routines.c,116 :: 		maj = (rotate_register[0] & rotate_register[1])
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+4, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+0, 0 
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+5, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+1, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+6, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+2, 0 
	MOVWF       R6 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+7, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+3, 0 
	MOVWF       R7 
;sha2_routines.c,117 :: 		^ (rotate_register[0] & rotate_register[2])
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+8, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+0, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+9, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+1, 0 
	MOVWF       R1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+10, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+2, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+11, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+3, 0 
	MOVWF       R3 
	MOVF        R0, 0 
	XORWF       R4, 1 
	MOVF        R1, 0 
	XORWF       R5, 1 
	MOVF        R2, 0 
	XORWF       R6, 1 
	MOVF        R3, 0 
	XORWF       R7, 1 
;sha2_routines.c,118 :: 		^ (rotate_register[1] & rotate_register[2]);
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+8, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+4, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+9, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+5, 0 
	MOVWF       R1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+10, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+6, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+11, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+7, 0 
	MOVWF       R3 
	MOVF        R4, 0 
	XORWF       R0, 1 
	MOVF        R5, 0 
	XORWF       R1, 1 
	MOVF        R6, 0 
	XORWF       R2, 1 
	MOVF        R7, 0 
	XORWF       R3, 1 
;sha2_routines.c,119 :: 		t2 = s0 + maj;
	MOVF        R0, 0 
	ADDWF       R8, 0 
	MOVWF       FLOC_sha2_routines_sw_sha256_process+0 
	MOVF        R1, 0 
	ADDWFC      R9, 0 
	MOVWF       FLOC_sha2_routines_sw_sha256_process+1 
	MOVF        R2, 0 
	ADDWFC      R10, 0 
	MOVWF       FLOC_sha2_routines_sw_sha256_process+2 
	MOVF        R3, 0 
	ADDWFC      R11, 0 
	MOVWF       FLOC_sha2_routines_sw_sha256_process+3 
;sha2_routines.c,120 :: 		s1 = rotate_right(rotate_register[4], 6)
	MOVLW       6
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+16, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+17, 0 
	MOVWF       R6 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+18, 0 
	MOVWF       R7 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+19, 0 
	MOVWF       R8 
	MOVF        R0, 0 
L_sha2_routines_sw_sha256_process67:
	BZ          L_sha2_routines_sw_sha256_process68
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process67
L_sha2_routines_sw_sha256_process68:
	MOVLW       26
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+16, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+17, 0 
	MOVWF       R1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+18, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+19, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process69:
	BZ          L_sha2_routines_sw_sha256_process70
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process69
L_sha2_routines_sw_sha256_process70:
	MOVF        R0, 0 
	IORWF       R5, 0 
	MOVWF       R16 
	MOVF        R1, 0 
	IORWF       R6, 0 
	MOVWF       R17 
	MOVF        R2, 0 
	IORWF       R7, 0 
	MOVWF       R18 
	MOVF        R3, 0 
	IORWF       R8, 0 
	MOVWF       R19 
;sha2_routines.c,121 :: 		^ rotate_right(rotate_register[4], 11)
	MOVLW       11
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+16, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+17, 0 
	MOVWF       R6 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+18, 0 
	MOVWF       R7 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+19, 0 
	MOVWF       R8 
	MOVF        R0, 0 
L_sha2_routines_sw_sha256_process71:
	BZ          L_sha2_routines_sw_sha256_process72
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process71
L_sha2_routines_sw_sha256_process72:
	MOVLW       21
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+16, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+17, 0 
	MOVWF       R1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+18, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+19, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process73:
	BZ          L_sha2_routines_sw_sha256_process74
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process73
L_sha2_routines_sw_sha256_process74:
	MOVF        R5, 0 
	IORWF       R0, 1 
	MOVF        R6, 0 
	IORWF       R1, 1 
	MOVF        R7, 0 
	IORWF       R2, 1 
	MOVF        R8, 0 
	IORWF       R3, 1 
	MOVF        R0, 0 
	XORWF       R16, 0 
	MOVWF       R12 
	MOVF        R1, 0 
	XORWF       R17, 0 
	MOVWF       R13 
	MOVF        R2, 0 
	XORWF       R18, 0 
	MOVWF       R14 
	MOVF        R3, 0 
	XORWF       R19, 0 
	MOVWF       R15 
;sha2_routines.c,122 :: 		^ rotate_right(rotate_register[4], 25);
	MOVLW       25
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+16, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+17, 0 
	MOVWF       R6 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+18, 0 
	MOVWF       R7 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+19, 0 
	MOVWF       R8 
	MOVF        R0, 0 
L_sha2_routines_sw_sha256_process75:
	BZ          L_sha2_routines_sw_sha256_process76
	RRCF        R8, 1 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R8, 7 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process75
L_sha2_routines_sw_sha256_process76:
	MOVLW       7
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+16, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+17, 0 
	MOVWF       R1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+18, 0 
	MOVWF       R2 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+19, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L_sha2_routines_sw_sha256_process77:
	BZ          L_sha2_routines_sw_sha256_process78
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L_sha2_routines_sw_sha256_process77
L_sha2_routines_sw_sha256_process78:
	MOVF        R5, 0 
	IORWF       R0, 1 
	MOVF        R6, 0 
	IORWF       R1, 1 
	MOVF        R7, 0 
	IORWF       R2, 1 
	MOVF        R8, 0 
	IORWF       R3, 1 
	MOVF        R0, 0 
	XORWF       R12, 0 
	MOVWF       R8 
	MOVF        R1, 0 
	XORWF       R13, 0 
	MOVWF       R9 
	MOVF        R2, 0 
	XORWF       R14, 0 
	MOVWF       R10 
	MOVF        R3, 0 
	XORWF       R15, 0 
	MOVWF       R11 
;sha2_routines.c,123 :: 		ch = (rotate_register[4] & rotate_register[5])
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+20, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+16, 0 
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+21, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+17, 0 
	MOVWF       R5 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+22, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+18, 0 
	MOVWF       R6 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+23, 0 
	ANDWF       sha2_routines_sw_sha256_process_rotate_register_L1+19, 0 
	MOVWF       R7 
;sha2_routines.c,124 :: 		^ (~rotate_register[4] & rotate_register[6]);
	COMF        sha2_routines_sw_sha256_process_rotate_register_L1+16, 0 
	MOVWF       R0 
	COMF        sha2_routines_sw_sha256_process_rotate_register_L1+17, 0 
	MOVWF       R1 
	COMF        sha2_routines_sw_sha256_process_rotate_register_L1+18, 0 
	MOVWF       R2 
	COMF        sha2_routines_sw_sha256_process_rotate_register_L1+19, 0 
	MOVWF       R3 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+24, 0 
	ANDWF       R0, 1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+25, 0 
	ANDWF       R1, 1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+26, 0 
	ANDWF       R2, 1 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+27, 0 
	ANDWF       R3, 1 
	MOVF        R0, 0 
	XORWF       R4, 1 
	MOVF        R1, 0 
	XORWF       R5, 1 
	MOVF        R2, 0 
	XORWF       R6, 1 
	MOVF        R3, 0 
	XORWF       R7, 1 
;sha2_routines.c,125 :: 		t1 = rotate_register[7] + s1 + ch + k[i] + w_union.w_word[i];
	MOVF        R8, 0 
	ADDWF       sha2_routines_sw_sha256_process_rotate_register_L1+28, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	ADDWFC      sha2_routines_sw_sha256_process_rotate_register_L1+29, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	ADDWFC      sha2_routines_sw_sha256_process_rotate_register_L1+30, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	ADDWFC      sha2_routines_sw_sha256_process_rotate_register_L1+31, 0 
	MOVWF       R3 
	MOVF        R4, 0 
	ADDWF       R0, 0 
	MOVWF       R8 
	MOVF        R5, 0 
	ADDWFC      R1, 0 
	MOVWF       R9 
	MOVF        R6, 0 
	ADDWFC      R2, 0 
	MOVWF       R10 
	MOVF        R7, 0 
	ADDWFC      R3, 0 
	MOVWF       R11 
	MOVF        sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       R4 
	MOVF        sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R5 
	RLCF        R4, 1 
	BCF         R4, 0 
	RLCF        R5, 1 
	RLCF        R4, 1 
	BCF         R4, 0 
	RLCF        R5, 1 
	MOVLW       sha2_routines_sw_sha256_process_k_L0+0
	ADDWF       R4, 0 
	MOVWF       FSR2 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_k_L0+0)
	ADDWFC      R5, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       R8, 0 
	MOVWF       R0 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R9, 0 
	MOVWF       R1 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R10, 0 
	MOVWF       R2 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R11, 0 
	MOVWF       R3 
	MOVLW       sha2_routines_sw_sha256_process_w_union_L0+0
	ADDWF       R4, 0 
	MOVWF       FSR2 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_w_union_L0+0)
	ADDWFC      R5, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       R0, 1 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R1, 1 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R2, 1 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R3, 1 
;sha2_routines.c,127 :: 		rotate_register[7] = rotate_register[6];
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+24, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+28 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+25, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+29 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+26, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+30 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+27, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+31 
;sha2_routines.c,128 :: 		rotate_register[6] = rotate_register[5];
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+20, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+24 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+21, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+25 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+22, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+26 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+23, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+27 
;sha2_routines.c,129 :: 		rotate_register[5] = rotate_register[4];
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+16, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+20 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+17, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+21 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+18, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+22 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+19, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+23 
;sha2_routines.c,130 :: 		rotate_register[4] = rotate_register[3] + t1;
	MOVF        R0, 0 
	ADDWF       sha2_routines_sw_sha256_process_rotate_register_L1+12, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+16 
	MOVF        R1, 0 
	ADDWFC      sha2_routines_sw_sha256_process_rotate_register_L1+13, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+17 
	MOVF        R2, 0 
	ADDWFC      sha2_routines_sw_sha256_process_rotate_register_L1+14, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+18 
	MOVF        R3, 0 
	ADDWFC      sha2_routines_sw_sha256_process_rotate_register_L1+15, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+19 
;sha2_routines.c,131 :: 		rotate_register[3] = rotate_register[2];
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+8, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+12 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+9, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+13 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+10, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+14 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+11, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+15 
;sha2_routines.c,132 :: 		rotate_register[2] = rotate_register[1];
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+4, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+8 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+5, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+9 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+6, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+10 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+7, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+11 
;sha2_routines.c,133 :: 		rotate_register[1] = rotate_register[0];
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+0, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+4 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+1, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+5 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+2, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+6 
	MOVF        sha2_routines_sw_sha256_process_rotate_register_L1+3, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+7 
;sha2_routines.c,134 :: 		rotate_register[0] = t1 + t2;
	MOVF        FLOC_sha2_routines_sw_sha256_process+0, 0 
	ADDWF       R0, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+0 
	MOVF        FLOC_sha2_routines_sw_sha256_process+1, 0 
	ADDWFC      R1, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+1 
	MOVF        FLOC_sha2_routines_sw_sha256_process+2, 0 
	ADDWFC      R2, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+2 
	MOVF        FLOC_sha2_routines_sw_sha256_process+3, 0 
	ADDWFC      R3, 0 
	MOVWF       sha2_routines_sw_sha256_process_rotate_register_L1+3 
;sha2_routines.c,112 :: 		for (i = 0; i < SHA256_BLOCK_SIZE; i++) {
	INFSNZ      sha2_routines_sw_sha256_process_i_L0+0, 1 
	INCF        sha2_routines_sw_sha256_process_i_L0+1, 1 
;sha2_routines.c,135 :: 		}
	GOTO        L_sha2_routines_sw_sha256_process11
L_sha2_routines_sw_sha256_process12:
;sha2_routines.c,138 :: 		for (i = 0; i < 8; i++)
	CLRF        sha2_routines_sw_sha256_process_i_L0+0 
	CLRF        sha2_routines_sw_sha256_process_i_L0+1 
L_sha2_routines_sw_sha256_process14:
	MOVLW       128
	XORWF       sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_sha2_routines_sw_sha256_process79
	MOVLW       8
	SUBWF       sha2_routines_sw_sha256_process_i_L0+0, 0 
L_sha2_routines_sw_sha256_process79:
	BTFSC       STATUS+0, 0 
	GOTO        L_sha2_routines_sw_sha256_process15
;sha2_routines.c,139 :: 		ctx->hash[i] += rotate_register[i];
	MOVLW       136
	ADDWF       FARG_sha2_routines_sw_sha256_process_ctx+0, 0 
	MOVWF       R6 
	MOVLW       0
	ADDWFC      FARG_sha2_routines_sw_sha256_process_ctx+1, 0 
	MOVWF       R7 
	MOVF        sha2_routines_sw_sha256_process_i_L0+0, 0 
	MOVWF       R0 
	MOVF        sha2_routines_sw_sha256_process_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R6, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	ADDWFC      R7, 0 
	MOVWF       R5 
	MOVLW       sha2_routines_sw_sha256_process_rotate_register_L1+0
	ADDWF       R0, 0 
	MOVWF       FSR2 
	MOVLW       hi_addr(sha2_routines_sw_sha256_process_rotate_register_L1+0)
	ADDWFC      R1, 0 
	MOVWF       FSR2H 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVF        POSTINC2+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC2+0, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC2+0, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC2+0, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,138 :: 		for (i = 0; i < 8; i++)
	INFSNZ      sha2_routines_sw_sha256_process_i_L0+0, 1 
	INCF        sha2_routines_sw_sha256_process_i_L0+1, 1 
;sha2_routines.c,139 :: 		ctx->hash[i] += rotate_register[i];
	GOTO        L_sha2_routines_sw_sha256_process14
L_sha2_routines_sw_sha256_process15:
;sha2_routines.c,76 :: 		for (block = 0; block < block_count; block++) {
	MOVLW       1
	ADDWF       sha2_routines_sw_sha256_process_block_L0+0, 1 
	MOVLW       0
	ADDWFC      sha2_routines_sw_sha256_process_block_L0+1, 1 
	ADDWFC      sha2_routines_sw_sha256_process_block_L0+2, 1 
	ADDWFC      sha2_routines_sw_sha256_process_block_L0+3, 1 
;sha2_routines.c,140 :: 		}
	GOTO        L_sha2_routines_sw_sha256_process0
L_sha2_routines_sw_sha256_process1:
;sha2_routines.c,141 :: 		}
L_end_sw_sha256_process:
	RETURN      0
; end of sha2_routines_sw_sha256_process

_sw_sha256_init:

;sha2_routines.c,143 :: 		void sw_sha256_init(sw_sha256_ctx* ctx)
;sha2_routines.c,151 :: 		memset(ctx, 0, sizeof(*ctx));
	MOVF        FARG_sw_sha256_init_ctx+0, 0 
	MOVWF       FARG_memset_p1+0 
	MOVF        FARG_sw_sha256_init_ctx+1, 0 
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       168
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;sha2_routines.c,152 :: 		for (i = 0; i < 8; i++)
	CLRF        sw_sha256_init_i_L0+0 
	CLRF        sw_sha256_init_i_L0+1 
L_sw_sha256_init17:
	MOVLW       128
	XORWF       sw_sha256_init_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_sha256_init81
	MOVLW       8
	SUBWF       sw_sha256_init_i_L0+0, 0 
L__sw_sha256_init81:
	BTFSC       STATUS+0, 0 
	GOTO        L_sw_sha256_init18
;sha2_routines.c,153 :: 		ctx->hash[i] = hash_init[i];
	MOVLW       136
	ADDWF       FARG_sw_sha256_init_ctx+0, 0 
	MOVWF       R3 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_init_ctx+1, 0 
	MOVWF       R4 
	MOVF        sw_sha256_init_i_L0+0, 0 
	MOVWF       R0 
	MOVF        sw_sha256_init_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR1H 
	MOVLW       sw_sha256_init_hash_init_L0+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(sw_sha256_init_hash_init_L0+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,152 :: 		for (i = 0; i < 8; i++)
	INFSNZ      sw_sha256_init_i_L0+0, 1 
	INCF        sw_sha256_init_i_L0+1, 1 
;sha2_routines.c,153 :: 		ctx->hash[i] = hash_init[i];
	GOTO        L_sw_sha256_init17
L_sw_sha256_init18:
;sha2_routines.c,154 :: 		}
L_end_sw_sha256_init:
	RETURN      0
; end of _sw_sha256_init

_sw_sha256_update:

;sha2_routines.c,156 :: 		void sw_sha256_update(sw_sha256_ctx* ctx,  uint8_t* msg, uint32_t msg_size)
;sha2_routines.c,159 :: 		uint32_t rem_size = SHA256_BLOCK_SIZE - ctx->block_size;
	MOVLW       4
	ADDWF       FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FSR2H 
	MOVLW       64
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVWF       R4 
	MOVF        POSTINC2+0, 0 
	SUBWF       R1, 1 
	MOVF        POSTINC2+0, 0 
	SUBWFB      R2, 1 
	MOVF        POSTINC2+0, 0 
	SUBWFB      R3, 1 
	MOVF        POSTINC2+0, 0 
	SUBWFB      R4, 1 
	MOVF        R1, 0 
	MOVWF       sw_sha256_update_rem_size_L0+0 
	MOVF        R2, 0 
	MOVWF       sw_sha256_update_rem_size_L0+1 
	MOVF        R3, 0 
	MOVWF       sw_sha256_update_rem_size_L0+2 
	MOVF        R4, 0 
	MOVWF       sw_sha256_update_rem_size_L0+3 
;sha2_routines.c,160 :: 		uint32_t copy_size = msg_size > rem_size ? rem_size : msg_size;
	MOVF        FARG_sw_sha256_update_msg_size+3, 0 
	SUBWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_sha256_update83
	MOVF        FARG_sw_sha256_update_msg_size+2, 0 
	SUBWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_sha256_update83
	MOVF        FARG_sw_sha256_update_msg_size+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_sha256_update83
	MOVF        FARG_sw_sha256_update_msg_size+0, 0 
	SUBWF       R1, 0 
L__sw_sha256_update83:
	BTFSC       STATUS+0, 0 
	GOTO        L_sw_sha256_update20
	MOVF        sw_sha256_update_rem_size_L0+0, 0 
	MOVWF       ?FLOC___sw_sha256_updateT222+0 
	MOVF        sw_sha256_update_rem_size_L0+1, 0 
	MOVWF       ?FLOC___sw_sha256_updateT222+1 
	MOVF        sw_sha256_update_rem_size_L0+2, 0 
	MOVWF       ?FLOC___sw_sha256_updateT222+2 
	MOVF        sw_sha256_update_rem_size_L0+3, 0 
	MOVWF       ?FLOC___sw_sha256_updateT222+3 
	GOTO        L_sw_sha256_update21
L_sw_sha256_update20:
	MOVF        FARG_sw_sha256_update_msg_size+0, 0 
	MOVWF       ?FLOC___sw_sha256_updateT222+0 
	MOVF        FARG_sw_sha256_update_msg_size+1, 0 
	MOVWF       ?FLOC___sw_sha256_updateT222+1 
	MOVF        FARG_sw_sha256_update_msg_size+2, 0 
	MOVWF       ?FLOC___sw_sha256_updateT222+2 
	MOVF        FARG_sw_sha256_update_msg_size+3, 0 
	MOVWF       ?FLOC___sw_sha256_updateT222+3 
L_sw_sha256_update21:
	MOVF        ?FLOC___sw_sha256_updateT222+0, 0 
	MOVWF       sw_sha256_update_copy_size_L0+0 
	MOVF        ?FLOC___sw_sha256_updateT222+1, 0 
	MOVWF       sw_sha256_update_copy_size_L0+1 
	MOVF        ?FLOC___sw_sha256_updateT222+2, 0 
	MOVWF       sw_sha256_update_copy_size_L0+2 
	MOVF        ?FLOC___sw_sha256_updateT222+3, 0 
	MOVWF       sw_sha256_update_copy_size_L0+3 
;sha2_routines.c,163 :: 		memcpy(&ctx->block[ctx->block_size], msg, copy_size);
	MOVLW       8
	ADDWF       FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FARG_memcpy_d1+0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FARG_memcpy_d1+1 
	MOVLW       4
	ADDWF       FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FSR2H 
	MOVF        FARG_memcpy_d1+0, 0 
	ADDWF       POSTINC2+0, 0 
	MOVWF       FARG_memcpy_d1+0 
	MOVF        FARG_memcpy_d1+1, 0 
	ADDWFC      POSTINC2+0, 0 
	MOVWF       FARG_memcpy_d1+1 
	MOVF        FARG_sw_sha256_update_msg+0, 0 
	MOVWF       FARG_memcpy_s1+0 
	MOVF        FARG_sw_sha256_update_msg+1, 0 
	MOVWF       FARG_memcpy_s1+1 
	MOVF        ?FLOC___sw_sha256_updateT222+0, 0 
	MOVWF       FARG_memcpy_n+0 
	MOVF        ?FLOC___sw_sha256_updateT222+1, 0 
	MOVWF       FARG_memcpy_n+1 
	CALL        _memcpy+0, 0
;sha2_routines.c,165 :: 		if (ctx->block_size + msg_size < SHA256_BLOCK_SIZE) {
	MOVLW       4
	ADDWF       FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        FARG_sw_sha256_update_msg_size+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        FARG_sw_sha256_update_msg_size+1, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        FARG_sw_sha256_update_msg_size+2, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        FARG_sw_sha256_update_msg_size+3, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       0
	SUBWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_sha256_update84
	MOVLW       0
	SUBWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_sha256_update84
	MOVLW       0
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_sha256_update84
	MOVLW       64
	SUBWF       R1, 0 
L__sw_sha256_update84:
	BTFSC       STATUS+0, 0 
	GOTO        L_sw_sha256_update22
;sha2_routines.c,167 :: 		ctx->block_size += msg_size;
	MOVLW       4
	ADDWF       FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       R4 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       R5 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVF        FARG_sw_sha256_update_msg_size+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        FARG_sw_sha256_update_msg_size+1, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        FARG_sw_sha256_update_msg_size+2, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        FARG_sw_sha256_update_msg_size+3, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,168 :: 		return;
	GOTO        L_end_sw_sha256_update
;sha2_routines.c,169 :: 		}
L_sw_sha256_update22:
;sha2_routines.c,172 :: 		sw_sha256_process(ctx, ctx->block, 1);
	MOVF        FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_ctx+0 
	MOVF        FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_ctx+1 
	MOVLW       8
	ADDWF       FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_blocks+0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_blocks+1 
	MOVLW       1
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+0 
	MOVLW       0
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+1 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+2 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+3 
	CALL        sha2_routines_sw_sha256_process+0, 0
;sha2_routines.c,175 :: 		msg_size -= copy_size; // Adjust to the remaining message bytes
	MOVF        FARG_sw_sha256_update_msg_size+0, 0 
	MOVWF       R5 
	MOVF        FARG_sw_sha256_update_msg_size+1, 0 
	MOVWF       R6 
	MOVF        FARG_sw_sha256_update_msg_size+2, 0 
	MOVWF       R7 
	MOVF        FARG_sw_sha256_update_msg_size+3, 0 
	MOVWF       R8 
	MOVF        sw_sha256_update_copy_size_L0+0, 0 
	SUBWF       R5, 1 
	MOVF        sw_sha256_update_copy_size_L0+1, 0 
	SUBWFB      R6, 1 
	MOVF        sw_sha256_update_copy_size_L0+2, 0 
	SUBWFB      R7, 1 
	MOVF        sw_sha256_update_copy_size_L0+3, 0 
	SUBWFB      R8, 1 
	MOVF        R5, 0 
	MOVWF       FARG_sw_sha256_update_msg_size+0 
	MOVF        R6, 0 
	MOVWF       FARG_sw_sha256_update_msg_size+1 
	MOVF        R7, 0 
	MOVWF       FARG_sw_sha256_update_msg_size+2 
	MOVF        R8, 0 
	MOVWF       FARG_sw_sha256_update_msg_size+3 
;sha2_routines.c,176 :: 		block_count = msg_size / SHA256_BLOCK_SIZE;
	MOVLW       6
	MOVWF       R4 
	MOVF        R5, 0 
	MOVWF       R0 
	MOVF        R6, 0 
	MOVWF       R1 
	MOVF        R7, 0 
	MOVWF       R2 
	MOVF        R8, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L__sw_sha256_update85:
	BZ          L__sw_sha256_update86
	RRCF        R3, 1 
	RRCF        R2, 1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R3, 7 
	ADDLW       255
	GOTO        L__sw_sha256_update85
L__sw_sha256_update86:
	MOVF        R0, 0 
	MOVWF       sw_sha256_update_block_count_L0+0 
	MOVF        R1, 0 
	MOVWF       sw_sha256_update_block_count_L0+1 
	MOVF        R2, 0 
	MOVWF       sw_sha256_update_block_count_L0+2 
	MOVF        R3, 0 
	MOVWF       sw_sha256_update_block_count_L0+3 
;sha2_routines.c,177 :: 		sw_sha256_process(ctx, &msg[copy_size], block_count);
	MOVF        FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_ctx+0 
	MOVF        FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_ctx+1 
	MOVF        FARG_sw_sha256_update_msg+0, 0 
	ADDWF       sw_sha256_update_copy_size_L0+0, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_blocks+0 
	MOVF        FARG_sw_sha256_update_msg+1, 0 
	ADDWFC      sw_sha256_update_copy_size_L0+1, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_blocks+1 
	MOVF        R0, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+0 
	MOVF        R1, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+1 
	MOVF        R2, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+2 
	MOVF        R3, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+3 
	CALL        sha2_routines_sw_sha256_process+0, 0
;sha2_routines.c,180 :: 		ctx->total_msg_size += (block_count + 1) * SHA256_BLOCK_SIZE;
	MOVLW       1
	ADDWF       sw_sha256_update_block_count_L0+0, 0 
	MOVWF       R8 
	MOVLW       0
	ADDWFC      sw_sha256_update_block_count_L0+1, 0 
	MOVWF       R9 
	MOVLW       0
	ADDWFC      sw_sha256_update_block_count_L0+2, 0 
	MOVWF       R10 
	MOVLW       0
	ADDWFC      sw_sha256_update_block_count_L0+3, 0 
	MOVWF       R11 
	MOVLW       6
	MOVWF       R0 
	MOVF        R8, 0 
	MOVWF       R4 
	MOVF        R9, 0 
	MOVWF       R5 
	MOVF        R10, 0 
	MOVWF       R6 
	MOVF        R11, 0 
	MOVWF       R7 
	MOVF        R0, 0 
L__sw_sha256_update87:
	BZ          L__sw_sha256_update88
	RLCF        R4, 1 
	BCF         R4, 0 
	RLCF        R5, 1 
	RLCF        R6, 1 
	RLCF        R7, 1 
	ADDLW       255
	GOTO        L__sw_sha256_update87
L__sw_sha256_update88:
	MOVFF       FARG_sw_sha256_update_ctx+0, FSR0
	MOVFF       FARG_sw_sha256_update_ctx+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       FARG_sw_sha256_update_ctx+0, FSR1
	MOVFF       FARG_sw_sha256_update_ctx+1, FSR1H
	MOVF        R4, 0 
	ADDWF       R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R5, 0 
	ADDWFC      R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R6, 0 
	ADDWFC      R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R7, 0 
	ADDWFC      R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,181 :: 		ctx->block_size = msg_size % SHA256_BLOCK_SIZE;
	MOVLW       4
	ADDWF       FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FSR1H 
	MOVLW       63
	ANDWF       FARG_sw_sha256_update_msg_size+0, 0 
	MOVWF       R0 
	MOVF        FARG_sw_sha256_update_msg_size+1, 0 
	MOVWF       R1 
	MOVF        FARG_sw_sha256_update_msg_size+2, 0 
	MOVWF       R2 
	MOVF        FARG_sw_sha256_update_msg_size+3, 0 
	MOVWF       R3 
	MOVLW       0
	ANDWF       R1, 1 
	ANDWF       R2, 1 
	ANDWF       R3, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,182 :: 		memcpy(ctx->block, &msg[copy_size + block_count * SHA256_BLOCK_SIZE], ctx->block_size);
	MOVLW       8
	ADDWF       FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FARG_memcpy_d1+0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FARG_memcpy_d1+1 
	MOVLW       6
	MOVWF       R4 
	MOVF        sw_sha256_update_block_count_L0+0, 0 
	MOVWF       R0 
	MOVF        sw_sha256_update_block_count_L0+1, 0 
	MOVWF       R1 
	MOVF        sw_sha256_update_block_count_L0+2, 0 
	MOVWF       R2 
	MOVF        sw_sha256_update_block_count_L0+3, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L__sw_sha256_update89:
	BZ          L__sw_sha256_update90
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L__sw_sha256_update89
L__sw_sha256_update90:
	MOVF        sw_sha256_update_copy_size_L0+0, 0 
	ADDWF       R0, 1 
	MOVF        sw_sha256_update_copy_size_L0+1, 0 
	ADDWFC      R1, 1 
	MOVF        sw_sha256_update_copy_size_L0+2, 0 
	ADDWFC      R2, 1 
	MOVF        sw_sha256_update_copy_size_L0+3, 0 
	ADDWFC      R3, 1 
	MOVF        FARG_sw_sha256_update_msg+0, 0 
	ADDWF       R0, 0 
	MOVWF       FARG_memcpy_s1+0 
	MOVF        FARG_sw_sha256_update_msg+1, 0 
	ADDWFC      R1, 0 
	MOVWF       FARG_memcpy_s1+1 
	MOVLW       4
	ADDWF       FARG_sw_sha256_update_ctx+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_update_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_memcpy_n+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_memcpy_n+1 
	CALL        _memcpy+0, 0
;sha2_routines.c,183 :: 		}
L_end_sw_sha256_update:
	RETURN      0
; end of _sw_sha256_update

_sw_sha256_final:

;sha2_routines.c,185 :: 		void sw_sha256_final(sw_sha256_ctx* ctx, uint8_t digest[SHA256_DIGEST_SIZE])
;sha2_routines.c,192 :: 		ctx->total_msg_size += ctx->block_size;
	MOVLW       4
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       FSR2H 
	MOVFF       FARG_sw_sha256_final_ctx+0, FSR0
	MOVFF       FARG_sw_sha256_final_ctx+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       FARG_sw_sha256_final_ctx+0, FSR1
	MOVFF       FARG_sw_sha256_final_ctx+1, FSR1H
	MOVF        POSTINC2+0, 0 
	ADDWF       R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC2+0, 0 
	ADDWFC      R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,193 :: 		msg_size_bits = ctx->total_msg_size * 8;
	MOVFF       FARG_sw_sha256_final_ctx+0, FSR0
	MOVFF       FARG_sw_sha256_final_ctx+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       3
	MOVWF       R0 
	MOVF        R1, 0 
	MOVWF       sw_sha256_final_msg_size_bits_L0+0 
	MOVF        R2, 0 
	MOVWF       sw_sha256_final_msg_size_bits_L0+1 
	MOVF        R3, 0 
	MOVWF       sw_sha256_final_msg_size_bits_L0+2 
	MOVF        R4, 0 
	MOVWF       sw_sha256_final_msg_size_bits_L0+3 
	MOVF        R0, 0 
L__sw_sha256_final92:
	BZ          L__sw_sha256_final93
	RLCF        sw_sha256_final_msg_size_bits_L0+0, 1 
	BCF         sw_sha256_final_msg_size_bits_L0+0, 0 
	RLCF        sw_sha256_final_msg_size_bits_L0+1, 1 
	RLCF        sw_sha256_final_msg_size_bits_L0+2, 1 
	RLCF        sw_sha256_final_msg_size_bits_L0+3, 1 
	ADDLW       255
	GOTO        L__sw_sha256_final92
L__sw_sha256_final93:
;sha2_routines.c,196 :: 		pad_zero_count = (SHA256_BLOCK_SIZE - ((ctx->block_size + 9) % SHA256_BLOCK_SIZE)) % SHA256_BLOCK_SIZE;
	MOVLW       4
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R4 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R5 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVLW       9
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       63
	ANDWF       R0, 1 
	MOVLW       0
	ANDWF       R1, 1 
	ANDWF       R2, 1 
	ANDWF       R3, 1 
	MOVLW       64
	MOVWF       sw_sha256_final_pad_zero_count_L0+0 
	MOVLW       0
	MOVWF       sw_sha256_final_pad_zero_count_L0+1 
	MOVWF       sw_sha256_final_pad_zero_count_L0+2 
	MOVWF       sw_sha256_final_pad_zero_count_L0+3 
	MOVF        R0, 0 
	SUBWF       sw_sha256_final_pad_zero_count_L0+0, 1 
	MOVF        R1, 0 
	SUBWFB      sw_sha256_final_pad_zero_count_L0+1, 1 
	MOVF        R2, 0 
	SUBWFB      sw_sha256_final_pad_zero_count_L0+2, 1 
	MOVF        R3, 0 
	SUBWFB      sw_sha256_final_pad_zero_count_L0+3, 1 
	MOVLW       63
	ANDWF       sw_sha256_final_pad_zero_count_L0+0, 1 
	MOVLW       0
	ANDWF       sw_sha256_final_pad_zero_count_L0+1, 1 
	ANDWF       sw_sha256_final_pad_zero_count_L0+2, 1 
	ANDWF       sw_sha256_final_pad_zero_count_L0+3, 1 
;sha2_routines.c,199 :: 		ctx->block[ctx->block_size++] = 0x80;
	MOVLW       8
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R1 
	MOVFF       R4, FSR2
	MOVFF       R5, FSR2H
	MOVF        R0, 0 
	ADDWF       POSTINC2+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      POSTINC2+0, 0 
	MOVWF       FSR1H 
	MOVLW       128
	MOVWF       POSTINC1+0 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVLW       1
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,202 :: 		memset(&ctx->block[ctx->block_size], 0, pad_zero_count + 4);
	MOVLW       8
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       FARG_memset_p1+0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       FARG_memset_p1+1 
	MOVLW       4
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       FSR2H 
	MOVF        FARG_memset_p1+0, 0 
	ADDWF       POSTINC2+0, 0 
	MOVWF       FARG_memset_p1+0 
	MOVF        FARG_memset_p1+1, 0 
	ADDWFC      POSTINC2+0, 0 
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       4
	ADDWF       sw_sha256_final_pad_zero_count_L0+0, 0 
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	ADDWFC      sw_sha256_final_pad_zero_count_L0+1, 0 
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;sha2_routines.c,203 :: 		ctx->block_size += pad_zero_count + 4;
	MOVLW       4
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R4 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R5 
	MOVLW       4
	ADDWF       sw_sha256_final_pad_zero_count_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      sw_sha256_final_pad_zero_count_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      sw_sha256_final_pad_zero_count_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      sw_sha256_final_pad_zero_count_L0+3, 0 
	MOVWF       R3 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVF        POSTINC0+0, 0 
	ADDWF       R0, 1 
	MOVF        POSTINC0+0, 0 
	ADDWFC      R1, 1 
	MOVF        POSTINC0+0, 0 
	ADDWFC      R2, 1 
	MOVF        POSTINC0+0, 0 
	ADDWFC      R3, 1 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,207 :: 		ctx->block[ctx->block_size++] = (uint8_t)(msg_size_bits >> 24);
	MOVLW       8
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R1 
	MOVLW       4
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R5 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R6 
	MOVFF       R5, FSR2
	MOVFF       R6, FSR2H
	MOVF        R0, 0 
	ADDWF       POSTINC2+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      POSTINC2+0, 0 
	MOVWF       FSR1H 
	MOVF        sw_sha256_final_msg_size_bits_L0+3, 0 
	MOVWF       R0 
	CLRF        R1 
	CLRF        R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVFF       R5, FSR0
	MOVFF       R6, FSR0H
	MOVLW       1
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R5, FSR1
	MOVFF       R6, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,208 :: 		ctx->block[ctx->block_size++] = (uint8_t)(msg_size_bits >> 16);
	MOVLW       8
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R1 
	MOVLW       4
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R5 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R6 
	MOVFF       R5, FSR2
	MOVFF       R6, FSR2H
	MOVF        R0, 0 
	ADDWF       POSTINC2+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      POSTINC2+0, 0 
	MOVWF       FSR1H 
	MOVF        sw_sha256_final_msg_size_bits_L0+2, 0 
	MOVWF       R0 
	MOVF        sw_sha256_final_msg_size_bits_L0+3, 0 
	MOVWF       R1 
	CLRF        R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVFF       R5, FSR0
	MOVFF       R6, FSR0H
	MOVLW       1
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R5, FSR1
	MOVFF       R6, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,209 :: 		ctx->block[ctx->block_size++] = (uint8_t)(msg_size_bits >> 8);
	MOVLW       8
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R1 
	MOVLW       4
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R5 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R6 
	MOVFF       R5, FSR2
	MOVFF       R6, FSR2H
	MOVF        R0, 0 
	ADDWF       POSTINC2+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      POSTINC2+0, 0 
	MOVWF       FSR1H 
	MOVF        sw_sha256_final_msg_size_bits_L0+1, 0 
	MOVWF       R0 
	MOVF        sw_sha256_final_msg_size_bits_L0+2, 0 
	MOVWF       R1 
	MOVF        sw_sha256_final_msg_size_bits_L0+3, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVFF       R5, FSR0
	MOVFF       R6, FSR0H
	MOVLW       1
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R5, FSR1
	MOVFF       R6, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,210 :: 		ctx->block[ctx->block_size++] = (uint8_t)(msg_size_bits >> 0);
	MOVLW       8
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R1 
	MOVLW       4
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R4 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R5 
	MOVFF       R4, FSR2
	MOVFF       R5, FSR2H
	MOVF        R0, 0 
	ADDWF       POSTINC2+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      POSTINC2+0, 0 
	MOVWF       FSR1H 
	MOVF        sw_sha256_final_msg_size_bits_L0+0, 0 
	MOVWF       POSTINC1+0 
	MOVFF       R4, FSR0
	MOVFF       R5, FSR0H
	MOVLW       1
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R3 
	MOVFF       R4, FSR1
	MOVFF       R5, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,212 :: 		sw_sha256_process(ctx, ctx->block, ctx->block_size / SHA256_BLOCK_SIZE);
	MOVF        FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_ctx+0 
	MOVF        FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_ctx+1 
	MOVLW       8
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_blocks+0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_blocks+1 
	MOVLW       4
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       6
	MOVWF       R0 
	MOVF        R1, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+0 
	MOVF        R2, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+1 
	MOVF        R3, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+2 
	MOVF        R4, 0 
	MOVWF       FARG_sha2_routines_sw_sha256_process_block_count+3 
	MOVF        R0, 0 
L__sw_sha256_final94:
	BZ          L__sw_sha256_final95
	RRCF        FARG_sha2_routines_sw_sha256_process_block_count+3, 1 
	RRCF        FARG_sha2_routines_sw_sha256_process_block_count+2, 1 
	RRCF        FARG_sha2_routines_sw_sha256_process_block_count+1, 1 
	RRCF        FARG_sha2_routines_sw_sha256_process_block_count+0, 1 
	BCF         FARG_sha2_routines_sw_sha256_process_block_count+3, 7 
	ADDLW       255
	GOTO        L__sw_sha256_final94
L__sw_sha256_final95:
	CALL        sha2_routines_sw_sha256_process+0, 0
;sha2_routines.c,216 :: 		for (i = 0; i < 8; i++)
	CLRF        sw_sha256_final_i_L0+0 
	CLRF        sw_sha256_final_i_L0+1 
L_sw_sha256_final23:
	MOVLW       128
	XORWF       sw_sha256_final_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_sha256_final96
	MOVLW       8
	SUBWF       sw_sha256_final_i_L0+0, 0 
L__sw_sha256_final96:
	BTFSC       STATUS+0, 0 
	GOTO        L_sw_sha256_final24
;sha2_routines.c,217 :: 		for (j = sizeof(int32_t) - 1; j >= 0; j--, ctx->hash[i] >>= 8)
	MOVLW       3
	MOVWF       sw_sha256_final_j_L0+0 
	MOVLW       0
	MOVWF       sw_sha256_final_j_L0+1 
L_sw_sha256_final26:
	MOVLW       128
	XORWF       sw_sha256_final_j_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_sha256_final97
	MOVLW       0
	SUBWF       sw_sha256_final_j_L0+0, 0 
L__sw_sha256_final97:
	BTFSS       STATUS+0, 0 
	GOTO        L_sw_sha256_final27
;sha2_routines.c,218 :: 		digest[i * sizeof(int32_t) + j] = ctx->hash[i] & 0xFF;
	MOVF        sw_sha256_final_i_L0+0, 0 
	MOVWF       R2 
	MOVF        sw_sha256_final_i_L0+1, 0 
	MOVWF       R3 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	MOVF        sw_sha256_final_j_L0+0, 0 
	ADDWF       R2, 0 
	MOVWF       R0 
	MOVF        sw_sha256_final_j_L0+1, 0 
	ADDWFC      R3, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       FARG_sw_sha256_final_digest+0, 0 
	MOVWF       FSR1 
	MOVF        R1, 0 
	ADDWFC      FARG_sw_sha256_final_digest+1, 0 
	MOVWF       FSR1H 
	MOVLW       136
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVLW       255
	ANDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,217 :: 		for (j = sizeof(int32_t) - 1; j >= 0; j--, ctx->hash[i] >>= 8)
	MOVLW       1
	SUBWF       sw_sha256_final_j_L0+0, 1 
	MOVLW       0
	SUBWFB      sw_sha256_final_j_L0+1, 1 
	MOVLW       136
	ADDWF       FARG_sw_sha256_final_ctx+0, 0 
	MOVWF       R3 
	MOVLW       0
	ADDWFC      FARG_sw_sha256_final_ctx+1, 0 
	MOVWF       R4 
	MOVF        sw_sha256_final_i_L0+0, 0 
	MOVWF       R0 
	MOVF        sw_sha256_final_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       R9 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       R10 
	MOVFF       R9, FSR0
	MOVFF       R10, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R5 
	MOVF        POSTINC0+0, 0 
	MOVWF       R6 
	MOVF        POSTINC0+0, 0 
	MOVWF       R7 
	MOVF        POSTINC0+0, 0 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R0 
	MOVF        R7, 0 
	MOVWF       R1 
	MOVF        R8, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVFF       R9, FSR1
	MOVFF       R10, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;sha2_routines.c,218 :: 		digest[i * sizeof(int32_t) + j] = ctx->hash[i] & 0xFF;
	GOTO        L_sw_sha256_final26
L_sw_sha256_final27:
;sha2_routines.c,216 :: 		for (i = 0; i < 8; i++)
	INFSNZ      sw_sha256_final_i_L0+0, 1 
	INCF        sw_sha256_final_i_L0+1, 1 
;sha2_routines.c,218 :: 		digest[i * sizeof(int32_t) + j] = ctx->hash[i] & 0xFF;
	GOTO        L_sw_sha256_final23
L_sw_sha256_final24:
;sha2_routines.c,219 :: 		}
L_end_sw_sha256_final:
	RETURN      0
; end of _sw_sha256_final

_sw_sha256:

;sha2_routines.c,221 :: 		void sw_sha256( uint8_t* message, unsigned int len, uint8_t digest[SHA256_DIGEST_SIZE])
;sha2_routines.c,225 :: 		sw_sha256_init(&ctx);
	MOVLW       sw_sha256_ctx_L0+0
	MOVWF       FARG_sw_sha256_init_ctx+0 
	MOVLW       hi_addr(sw_sha256_ctx_L0+0)
	MOVWF       FARG_sw_sha256_init_ctx+1 
	CALL        _sw_sha256_init+0, 0
;sha2_routines.c,226 :: 		sw_sha256_update(&ctx, message, len);
	MOVLW       sw_sha256_ctx_L0+0
	MOVWF       FARG_sw_sha256_update_ctx+0 
	MOVLW       hi_addr(sw_sha256_ctx_L0+0)
	MOVWF       FARG_sw_sha256_update_ctx+1 
	MOVF        FARG_sw_sha256_message+0, 0 
	MOVWF       FARG_sw_sha256_update_msg+0 
	MOVF        FARG_sw_sha256_message+1, 0 
	MOVWF       FARG_sw_sha256_update_msg+1 
	MOVF        FARG_sw_sha256_len+0, 0 
	MOVWF       FARG_sw_sha256_update_msg_size+0 
	MOVF        FARG_sw_sha256_len+1, 0 
	MOVWF       FARG_sw_sha256_update_msg_size+1 
	MOVLW       0
	MOVWF       FARG_sw_sha256_update_msg_size+2 
	MOVWF       FARG_sw_sha256_update_msg_size+3 
	CALL        _sw_sha256_update+0, 0
;sha2_routines.c,227 :: 		sw_sha256_final(&ctx, digest);
	MOVLW       sw_sha256_ctx_L0+0
	MOVWF       FARG_sw_sha256_final_ctx+0 
	MOVLW       hi_addr(sw_sha256_ctx_L0+0)
	MOVWF       FARG_sw_sha256_final_ctx+1 
	MOVF        FARG_sw_sha256_digest+0, 0 
	MOVWF       FARG_sw_sha256_final_digest+0 
	MOVF        FARG_sw_sha256_digest+1, 0 
	MOVWF       FARG_sw_sha256_final_digest+1 
	CALL        _sw_sha256_final+0, 0
;sha2_routines.c,228 :: 		}
L_end_sw_sha256:
	RETURN      0
; end of _sw_sha256
